최근 수정 시각 : 2024-05-08 19:56:00

마인크래프트/플러그인

파일:상위 문서 아이콘.svg   상위 문서: 마인크래프트
파일:관련 문서 아이콘.svg   관련 문서: 마인크래프트/서버
,
,
,
,
,


파일:마인크래프트 로고.svg
{{{#!wiki style="margin: -0px -10px -5px"
{{{#!folding [ 펼치기 · 접기 ]
{{{#!wiki style="margin: -6px -1px -11px"
<colbgcolor=darkgreen><colcolor=#fff> 기본 플레이
시스템세계 (시드) · 게임 모드 · 난이도 · 게임 규칙 · 엔딩 · 죽음 메시지 · 스플래시 · 명령어 · NBT · 런처
인게임아이템 · · 개체 · 날씨 · 차원 · 생물군계 · 구조물 · 마법 부여 · 상태 효과 · 조작법 · 피해 · 발전 과제
도움말튜토리얼 · (탐험 · 파밍 · 회로) · 브릿징 · PVP · 파쿠르 · 스피드런 · 건축
시리즈 및 매체
출시 에디션자바 에디션 (업데이트) · 베드락 에디션 (업데이트) · 포켓 에디션* · 콘솔 에디션* · 파이 에디션*
파생 게임Minecraft Dungeons* · Minecraft Legends* · Minecraft Education · Minecraft: Story Mode* · Minecraft Earth*
미디어OST · 관련 서적 · 레고 · 더 무비 · Minecraft Live · Minecraft Now · Minecraft Monthly
유저 콘텐츠
창작 요소2차 창작 · 망토 · · 모드 (개발 · · 모드팩) · 애드온 · (리소스 팩 · 데이터 팩) · 외부 프로그램 ·
멀티 콘텐츠멀티플레이 · 서버 · 플러그인 · Realms · EULA
개발개발 기초 · 모드 개발 · 플러그인 개발
기타
이야깃거리여담 · 커뮤니티 · 사건사고 · 문제점 · 용어 · 지원 언어 · 머나먼 땅 · 이미테이션 게임
관련 문서나무위키 마인크래프트 프로젝트 · 마인크래프트로 분류된 문서 · 마인크래프트의 하위 문서
* 표시는 서비스가 종료되었거나 개발이 중단되었다는 표시이다. }}}}}}}}}
<nopad> 본 위키는 공식 MINECRAFT 서비스가 아닙니다. 이용에 참고 바랍니다.

1. 개요2. 모드와의 차이점3. 목록
3.1. 서명 제거 플러그인 (채팅 신고 기능 무력화)
3.1.1. NoEncryption3.1.2. FreedomChat
3.2. 권한 관리 플러그인
3.2.1. PermissionsEx3.2.2. GroupManager3.2.3. LuckPerms
3.3. 호환성 API 플러그인
3.3.1. Vault (경제, 채팅, 펄미션 관련 호환)3.3.2. ProtocolLib (마인크래프트 패킷 관련 호환)
3.4. 안티치트(핵방지) 플러그인
3.4.1. Nocheatplus3.4.2. Spartan3.4.3. GodsEye3.4.4. AntiCheatAddition3.4.5. Themis Anti Cheat3.4.6. Intave
3.5. 블럭 보호 플러그인
3.5.1. Ownblocks3.5.2. Blockown3.5.3. Grief prevention3.5.4. World Guard
3.6. 보안 플러그인
3.6.1. Core Protect 플러그인(유저 활동 기록 플러그인)3.6.2. ChatControl (채팅 관리 플러그인)3.6.3. Banitem (아이템 이용 제한 플러그인)3.6.4. WorldBorder3.6.5. AntiRedstoneClock (레드스톤 무한회로 방지 플러그인)3.6.6. SpeedLimit (속도 제한 플러그인)3.6.7. Orebfuscator (엑스레이 방지 플러그인)
3.7. 건축 관련 플러그인
3.7.1. WorldEdit3.7.2. VoxelSniper (브러쉬 플러그인)3.7.3. FastAsyncWorldEdit(FAWE) / FastAsyncVoxelSniper(FAVS)
3.8. 비정품 허용 서버 필수 플러그인
3.8.1. Userlogin(로그인 플러그인)3.8.2. SkinsRestorer(스킨 플러그인)
3.9. 서버 밴 플러그인
3.9.1. MaxBans3.9.2. LiteBans3.9.3. AdvancedBans
3.10. 컨텐츠 중심 플러그인
3.10.1. 능력자 플러그인3.10.2. Traincart3.10.3. mcMMO3.10.4. Magic Spells3.10.5. SkillAPI
3.10.5.1. ProSkillAPI
3.10.6. CrackShot3.10.7. Quality Armory3.10.8. MythicMobs3.10.9. Citizens23.10.10. Vehicles
3.11. 스크립터 계열 플러그인3.12. 다중 버전 플러그인
3.12.1. ViaVersion (상위 버전 접속 허용)3.12.2. Viabackwards, Viarewind (하위 버전 접속 허용)3.12.3. ProtocolSupport (더 많은 하위 버전 접속 허용)3.12.4. ProtocolSupportStuff3.12.5. ViaversionStatus (버전 알림 플러그인)3.12.6. ProtocolChanger
3.13. 디스코드 채팅 연동 플러그인
3.13.1. DiscordSRV3.13.2. EssentialsXDiscord
3.14. 기타 플러그인
3.14.1. Essentials/EssentialsX3.14.2. Dynmap3.14.3. Chunky3.14.4. Holographic Displays3.14.5. GeyserMC3.14.6. Multiverse-Core
4. 개발

1. 개요

마인크래프트 서버에 추가 기능을 설치하기 위한 플러그인이다. 서버 구현 프로그램에 플러그인을 추가하여 원하는 기능을 자유롭게 추가, 조작할 수 있다. 이러한 서버 모드(=플러그인)를 쓰지 않는 서버는 보통 바닐라 서버에 해당한다.

마인크래프트는 여러 종류의 서버 구현 프로그램이 있는데[1] 이들마다 지원하는 플러그인 종류가 다르다.

Mojang에서 배포중인 플러그인 기능이 없는 바닐라 서버[2]부터 시작해서, CraftBukkit/Spigot, Paper, Sponge, GlowStone와 BungeeCord, Waterfall, Velocity[3] 등 다양한 종류의 서버 구현 프로그램이 존재한다. 방금 나열한 구현물들은 전부 현존하는 것들이며, 각자 개별적인 플러그인 API를 제공한다.

CraftBukkit과 이로부터 파생된 Spigot, Paper은 Bukkit API로 만들어진 플러그인만 지원한다.
유의할 점은, 국내 커뮤니티에서 개발 혹은 배포되는 플러그인들은 대부분 Bukkit API 기반이다.
버킷 기반 플러그인을 번지코드, Sponge, Glowstone 등 다른 서버 프로그램으로 돌아가는 서버에 적용하면 인식을 못하거나 오류를 뿜어내는것은 당연하다. [4]


또한, 유료 플러그인도 존재한다.[6] 플러그인을 파는 행위는 따로 EULA 문제가 없어서[7] 여러 개발자들이 자유롭게 유료로 플러그인을 제공할 수 있다. Spigot 프리미엄 플러그인이 대표적인 예다. 현명하게 구매한다면 자신은 질 좋은 플러그인을 얻고 플러그인 개발자도 지원할 수 있어서 win-win이다. 하지만 일부 개발자들은 플러그인 업데이트를 중단하고 먹튀하는 경우(...)도 있다.[8]

유료 플러그인에도 당연히 어둠의 경로는 존재한다. 하지만 알다시피 불법은 불법이고, 플러그인 새 버전이 나오면 정품 유저와 달리 파일을 구하기 어렵다. 크랙 사이트 관리자가 모든 플러그인들을 항시로 업데이트하기 어렵고, 대부분의 플러그인은 불법복제(또는 해적판) 방지 코드를 첨부하여 크래킹을 어렵게 만든다.[9] 그리고 플러그인 이용약관[10] 위반으로 적발되면 추후 해당 유료 플러그인에서 도움 및 지원을 받을 수 없으므로 정품을 구입하자.

2. 모드와의 차이점

일반적인 경우, 클라이언트 사이드에 특별한 텍스쳐나 모델, 코드 등을 추가하지 않고 단지 서버측에서 패킷, 이벤트 처리를 조작함으로써 서버에 기능을 추가한다. 따라서 접속자가 클라이언트에 무언가 설치할 필요가 없다는 장점이 있다.

또한 모드와는 달리 마인크래프트 내부 코드를 수정하는 것이 아니라서 모드에 비해 오류, 충돌 가능성도 적다.

하지만 동전의 양면과 같이, 클라이언트의 게임 코드를 수정할 수 없다는 점은 단점으로도 작용한다. 서버측에서 처리하는 부분만 수정이 가능하다는 것이다. 가장 대표적인 예로 블럭이나 아이템을 새로 추가하기 어렵다. 기존에 있는 아이템의 특성밖에 수정하지 못한다는 것이 있다.

3. 목록

3.1. 서명 제거 플러그인 (채팅 신고 기능 무력화)

1.19.1 업데이트 이후 채팅 신고가 추가되었는데 악용 가능성이 매우 많아##### 이를 무력화시키는 플러그인이 출시된 상태이다. 공통적으로 이 플러그인을 작동하려면 server.properties을 메모장으로 열고 enforce-secure-profile 값을 false로 변경해야 한다.

물론 비정품 서버는 신고 기능이 작동하지 않는다.

3.1.1. NoEncryption

<colbgcolor=#3f83c4> NoEncryption
다운로드 페이지 Spigot
버전 1.19~1.19.1
관련 플러그인 -
공식 링크 파일:GitHub 아이콘.svgGithub
채팅 서명과 채팅 신고를 무력화하는 간단한 플러그인이다. 복잡한 설치 없이 넣기만 하면 끝이다. 만약 Failed to setup NoEncryption's compatibility! 라는 오류메시지가 나타난다면 해당 마인크래프트 버전과 이 플러그인의 버전이 호환되지 않는다는 뜻이다.

3.1.2. FreedomChat

<colbgcolor=#3f83c4> FreedomChat
다운로드 페이지 Modrinth
버전 1.19.1~1.20.4
관련 플러그인 -
공식 링크 파일:GitHub 아이콘.svgGithub

모든 채팅을 시스템 메시지로 변환하며, 채팅 신고를 무력화하는 간단한 플러그인이다. 복잡한 설치 없이 넣기만 하면 끝이다.

NoEncryption 플러그인과 차이점은 크고 아름다운 빨간색 경고 메시지까지 무력화한다.

3.2. 권한 관리 플러그인

마인크래프트 버킷 내부에도 퍼미션(권한) 기능이 있긴 하지만 너무 빈약하기 때문에 이 플러그인을 사용한다. 없는 서버를 찾아보기 힘들다. 단, 요즘은 퍼미션 플러그인이 많이 생겼다. 기능은 비슷하지만 플러그인마다 명령어나 부가적인 기능에서 차이가 드러난다.
권한 플러그인들은 대부분 권한 데이터를 YAML, JSON 등 특정한 문법으로 파일에 작성해 저장시킨다. YAML(.yml 파일) 의 경우 문법 특성상 공백을 빼먹거나 기호를 잘못 사용할경우 오류가 발생한다. 그러나 일반적으로 플러그인은 오류가 발생하면 콘솔에 발생 원인을 출력시키므로 서버 로그를 확인하면 문법 오류를 찾는데 큰 도움이 된다. SQL 타입을 지원하는 플러그인의 경우, 펄미션 정보는 사용자가 지정한 데이터베이스 서버에 저장된다. 권한 및 그룹 추가, 설정, 제거 등의 기본적인 조작은 플러그인 명령어만으로 해결되므로, 쿼리문을 능숙하게 다루지 못해도 문제 없다.

3.2.1. PermissionsEx

<colbgcolor=#3f83c4> PermissionsEx
다운로드 페이지 Github
버전 1.8~1.12.2[11]
관련 플러그인 -
공식 링크 -

버킷이 탄생한 이후 오랜 기간동안 많은 유저들이 애용해왔던 권한 관리 플러그인이다.
YAML(파일), MySQL(데이터베이스) 의 두 가지 형식을 펄미션 데이터 저장 방식으로 지원한다.
우리가 아는 권한 플러그인의 기본적인 기능(노드, 그룹, 상속, 유저 데이터) 을 제공하고는 있어 무난하게 사용할 수 있으나, 업데이트가 늦고, 최근 뜨고 있는 플러그인들에게 밀리고 있다.
타 서버에서 이 플러그인의 이름을 그대로 칠 시 뒷부분의 글자가 필터링에 걸리는(...)일이 일어난다.

1.13 이후 업데이트를 안한다. 버킷 플러그인 사이트에서는 받을 수 없고, 여기 에서 받을 수 있다.

최근에는 원본 플러그인을 포크하여 1.19 버전에서 사용할 수 있게 만들어서 다른사람이 개발중인 버전이 있다. 링크

3.2.2. GroupManager

<colbgcolor=#3f83c4> GroupManager
다운로드 페이지 Spigot
버전 1.8~1.20
관련 플러그인 -
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub

PermissionsEx는 SQL 데이터베이스를 지원하여 번지코드를 사용하는 각 서버마다 개별적인 권한 설정을 할 수 있다.
하지만 GroupManager는 config.yml 설정에 따라 각 월드마다 다른 권한과 등급을 부여해줄 수 있다. 단, SQL은 지원하지 않는다.
만일 당신이 번지코드가 아닌 단일 서버를 열고 있지만, 월드별로 권한을 다르게 매기고 싶다면 이 플러그인을 사용하는것을 추천한다.
권한 설정 양식은 PermissionsEx와 비슷하다.
이 플러그인은 유명한 Essentials와 WorldEdit 제작자인 sk89q가 만들었다.

3.2.3. LuckPerms

<colbgcolor=#3f83c4> LuckPerms
다운로드 페이지 Spigot LuckPerms
버전 1.8.8~1.20.4
관련 플러그인 -
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub

이 플러그인을 사용하려면 v5.3.47 버전부터 Java 16 이상이 필요하다.
기존의 권한 플러그인들을 개선하기 위해 lucko라는 개발자가 만든 플러그인. 대부분의 권한 플러그인들은 초기 Bukkit 당시 만들어진 플러그인들이라 대부분의 플러그인들의 지원이 중단되거나, 버그 수정이나 업데이트등을 하지 않았다. 그래서 탄생한것이 바로 LuckPerms. 다른 권한 플러그인들과는 달리 지속적인 업데이트와 버그 수정이 활발하다. 그리고 플러그인의 최적화가 잘 되어있어 기존의 권한 플러그인들에 비해 서버 렉이 줄어들었다. 게다가 PermissionsEx와 GroupManager, zPermission 등의 플러그인의 설정을 가져오는 기능도 있다. 게다가 가장 특이한 점은 웹 편집기를 지원한다(!)[12] 말 그대로 웹에서 관리자가 직접 편집할 수 있다는 것. 이외에도 Verbose 기능이나 로깅 기능까지 지원한다.

상술했듯이 위에 있는 PermissionsEX가 어느샌가 업데이트가 중단되어 PEX를 사용했던 대부분의 서버 운영자들이 이 플러그인으로 대체하는 중이다.

이 플러그인은 Forge, Fabric 모드로도 배포 중이다.#

3.3. 호환성 API 플러그인

3.3.1. Vault (경제, 채팅, 펄미션 관련 호환)

<colbgcolor=#3f83c4> Vault
다운로드 페이지 Spigot
버전 1.0~1.12.2, 1.13~1.19
관련 플러그인 -
공식 링크 파일:GitHub 아이콘.svgGithub

2011년부터 꾸준하게 업데이트 되어오고 있는 마인크래프트의 수많은 경제, 채팅, 펄미션 제어 플러그인에서 광범위하게 쓰이는 API이다. 모든 펄미션, 경제, 채팅 관리 플러그인 각자의 방식대로 구현된다면 서버 관리자의 입장에서 플러그인을 바꿀 때마다 설정이 날아가게 되어 곤란하게 될 것이다. 서로 다른 플러그인 간에 데이터를 연동하기 위해 마인크래프트 플러그인 개발 커뮤니티는 Vault를 사용하고 있다. 많은 플러그인들이 요구하고 있기 때문에 Spigot에서 다운로드 수 2위를 기록하는 마인크래프트 서버 시스템 구축에 필수적인 플러그인이다.

Vault를 공식적으로 사용하는 비교적 잘 알려진 플러그인만 해도 다음과 같으며, 잘 알려지지 않았지만 Vault를 사용하는 플러그인은 이보다 더 많다.
펄미션 관련: Permissions 3, bPermissions, PEX, GroupManager, PermissionsBukkit, zPermission, SimplyPerms, Privileges, DroxPerms, xPerms
경제 관련: iConomy 4,5,6, BOSEconomy 6 & 7, EssentialsEcon, 3Co, MultiCurrency, MineConomy, eWallet, EconXP, CurrencyCore, CraftConomy, AEco, Gringotts
채팅 관련: Herochat, mChat, iChat, bPermissions, PEX, P3, DroxPerms

3.3.2. ProtocolLib (마인크래프트 패킷 관련 호환)

<colbgcolor=#3f83c4> ProtocolLib
다운로드 페이지 (1.2.5~1.7.10), Spigot, 스넵샷[13]]
버전 1.2.5~1.7.10, 1.8~1.19, 1.20
관련 플러그인 -
공식 링크 파일:GitHub 아이콘.svgGithub

2012년부터 업데이트 되어 오고 있는 마인크래프트 패킷을 쓰고, 읽고, 수정할 수 있게 해주는 패킷 관련 API로, 특히 매 버전마다 호환이 안 돼서 고장나는 NMS 패킷 제어 관련해서 호환성을 올려준다. 패킷과 관련된 고급 기능을 수행하는 수많은 플러그인들이 사용하고 있다. 많은 플러그인들이 요구하고 있기 때문에 Spigot에서 다운로드 수 3위를 기록하는 마인크래프트 서버 시스템 구축에 필수적인 플러그인이다.
근데 지금은 업데이트를 안한다

3.4. 안티치트(핵방지) 플러그인

대부분 핵 사용과 관련된 테러는 대부분 막을 수 있다. 스마트 무빙 핵 사용시 속도를 올린다거나 벽을 타서 움직일 경우 서버 관리자에게 메시지가 전송된다. [예시(AAC)]

국내의 KFireWall처럼 오피를 제외한 플레이어의 접속을 임시적, 영구적 으로 막는 플러그인이 있고 메크로 프로그램 방지 형식으로 잠수를 탈 경우 플레이어의 모든 서버 상호작용이 씹어지는(...) 플러그인 등이 있다.

3.4.1. Nocheatplus

<colbgcolor=#3f83c4> Nocheatplus
다운로드 페이지 DevBukkit(1.1~1.12.2), Jenkins(1.4.6+)
버전 1.1~1.4.5, 1.4.6~1.20.x
관련 플러그인 ProtocolLib, CompatNoCheatPlus NoCheat
공식 링크 파일:GitHub 아이콘.svgGithub, 파일:디스코드 아이콘.svgDiscord

Nocheat 라는 플러그인을 기반으로 만들어진 플러그인이다. Nocheat 라는 플러그인의 개발이 중단된 이후부터 2018년 까지 성능쪽을 제외하면 무료 안티치트(핵방지) 1위였다. 그러나 2018년 이후로 개발이 중단되었다. 현재는 다른사람이 Updated-nocheatplus 라는 프로젝트 이름으로 개발을 이어나가고 있다.

ProtocolLib 플러그인을 설치하면 핵을 더 잘잡는다.

Viaversion 플러그인과의 호환이 안된다.[15]

CompatNoCheatPlus를 추가로 설치하면 다른 플러그인과의 호환이 된다. 호환이 되게 되는 플러그인들은 mcMMO, MachinaCraft, Citizens 2, CMI, GeyserMC[16]이다.

Updated-Nocheatplus는 버그가 좀 있다. 버그를 발견하면 github 링크로 버그를 제보하면 된다.
2b2t와 같은 무정부 서버에서 자주 애용되는 안티치트이다.

3.4.2. Spartan

<colbgcolor=#3f83c4> Spartan
다운로드 페이지 Spigot
버전 1.7.2~1.20
관련 플러그인 ProtocolLib
공식 링크 파일:디스코드 아이콘.svgDiscord

이 플러그인이 스피곳에서 평점은 1위인 핵방지다. 가격은 25.00 달러. 1.7~최신버전 까지 모두 지원한다. 멀티 쓰레드로 작동하고 성능도 비교적 가볍다. 핵은 잘 잡는 편이다.

현재 플레이어 한명당 0.08%의 Tick을 사용한다.

Syn 이라는 추가 구매 기능이 있는데, 이게 말이 좀 많다. 가격이 37.5 달러나 되는데 개발자가 몰래몰래 syn을 구매 안해도 작동했던 기능을 syn 기능에서만 작동되도록 옮겨버린다... 만약 spartan 을 구입할 생각이 있는데 이런 일이 우려된다면 Syn을 그냥 구매하거나 다른 안티치트 플러그인을 대신 구입하는 법도 있다.

라이선스당 아이피가 1개로 제한되어있고 아이피당 포트를 5개 제한되어있다.[17] 복제 방지를 위해 이러한 조치를 취했다고 하며 번지코드 사용으로 인해 포트가 6개 이상이 필요할 경우 개발자에게 디스코드로 문의하면 늘려준다고 한다.

NMS으로도 작동하지만 ProtocolLib를 설치하면 핵을 잘 잡아주므로 같이 설치해줄 것을 권장, 왠만해서는 ProtocolLib가 설치되어 있기에 의미가 없긴 하다.

업데이트가 다른 안티치트에 비해 빠른편이다.
이 플러그인은 여러 유명 서버에서 사용되는 것과는 달리 Noslow와 같이 기초적인 핵도 잘 못잡는다. 그냥 다른 안티치트를 사용하자.

3.4.3. GodsEye

<colbgcolor=#3f83c4> GodsEye
다운로드 페이지 Spigot
버전 1.8~1.19
관련 플러그인 ProtocolLib
공식 링크 파일:디스코드 아이콘.svgDiscord

AAC와 Spartan을 사용하다가 기능이 아쉬운 유저들이 주로 사용하는 핵방지다. 가격은 15.5 파운드.

이 플러그인은 몇안되게 mcMMO, ViaVersion를 지원한다. 참고로 해당 플러그인은 스카이워즈X 등 PVP 콘텐츠 관련 플러그인과 호환성이 매우 좋다. 하지만 GeyserMC를 지원하지 않으며, 애드온으로 GeyserMC를 지원하게 할 수 있으나, 베드락 에디션 플레이어가 감지 대상에서 제외된다.

다른 안티치트와 차이점을 말하자면 이 플러그인은 GUI로 관리할 수 있으며, 편의성이 매우 좋은편이다. 그리고 AAC 처럼 애드온까지 사용할 수 있다. 하이픽셀 와치독 처럼 밴웨이브 시스템도 사용이 가능하다.

NMS로도 작동하지만 ProtocolLib를 설치하면 핵을 더 잡아준다.
실시간 밴 처리할때 엽기적인데 어떤 효과는 가디언이 여러마리가 한꺼번에 공격하거나 아니면 그 플레이어 한테 번개를 내리치게 하는 등 처형을 한다.

3.4.4. AntiCheatAddition

<colbgcolor=#3f83c4> AntiCheatAddition
다운로드 페이지 Spigot
버전 1.8~1.8.9, 1.12~1.20
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord[18]
이 플러그인을 사용하려면 Java 17 이상이 필수로 필요하다. 위 플러그인과 마찬가지로 NMS로도 작동하지만 ProtocolLib를 설치한다면 핵을 더 잡아준다.

초기에는 AAC의 유료 확장기능이였으나, 이제는 별개로 독립을 하여 새롭게 재 탄생한 플러그인이다.
AAC랑 유사한 기능들이 있으며, AAC 개발자가 업데이트 중단되어 기존에 유료 확장 이 플러그인을 미리 구매한 유저는 AAC 대신 이 플러그인을 사용하면된다.
참고로 몇몇 안티치트랑 충돌이 많이 발생하는 mcMMO, ViaVersion 등을 지원한다.
AAC랑 다른점은 특정 변형 클라이언트[19]를 감지하는 기능이 있다.
AAC의 단점 몇몇을 보완하여 최적화와 동시에 여러가지 AAC가 잡지 못하던 것을 이 플러그인이 역으로 잡아내고있다.

2022년 2월 16일, AAC 개발자가 디스코드를 통해 공식적으로 개발 중단을 선언하면서 대체제중 하나로 거론되긴 한다.

그리고 Spartan 처럼 업데이트가 다른 안티치트에 비해 빠른편이다.

이 플러그인은 GeyserMC를 사용할시 Floodgate라는 플러그인을 설치하면 베드락 에디션 플레이어가 감지 대상에서 제외된다. 즉 GeyserMC를 사용한다면 권장하지 않는다.

3.4.5. Themis Anti Cheat

<colbgcolor=#3f83c4> Themis Anti Cheat
다운로드 페이지 Spigot
버전 1.16~1.16.5[20], 1.17~1.20
관련 플러그인 ProtocolLib, Wither Anti Cheat[21]
공식 링크 파일:디스코드 아이콘.svgDiscord
NMS를 지원하지 않으므로 사용하려면 ProtocolLib 플러그인을 설치해야 한다.

이 안티치트도 무료이다. 현재 Mcmmo, Viaversion[22] 등의 플러그인을 지원하지는 않지만, 이 플러그인은 유일하게 무료 플러그인중 GeyserMC 를 지원한다.

그리고 플레이어 한명당 0.015% 의 틱을 사용하며 성능이 AAC 보다 2배 더 빠르다고 한다.[23]

3.4.6. Intave

<colbgcolor=#3f83c4> Intave
다운로드 페이지 Intave
버전 1.8~1.19, 1.20[24]

위의 대중적으로 사용중인 안티치트와 다르게 대규모 PVP 서버등에 최적화가 된 안티치트이며, 몇몇 해외 대규모 서버에서는 해당 안티치트를 사용하고 있다.[25] 또한 위의 목록들의 안티치트와 차이점은 바로 실시간으로 업데이트가 진행하며,AntiAura V2 에 있는 Machine Learning 와 비슷한 원리로 작동한다. 하지만 가격은 99.99유로이며, 비싼편이다.[26] [27]

3.5. 블럭 보호 플러그인

개인 블럭 보호 관련으로는 LWC, Lockette[28][29]이 있다.

광범위한 보호로는 PreciousStones 로 블럭을 이용해서 보호하는 방식도 있다. 콘피그를 설정해주면 유저가 사용할 수 있는 수준으로 변경가능하다.

남의 집을 TNT로 멋대로 부수거나, 용암을 붓거나, 물로 집주인을 귀찮게 하거나, 버그를 써서 사람들을 괴롭히거나, 아이템을 훔치거나, 그냥 집을 캐가거나(...) 하는 테러를 방지한다. 타 플레이어에 의해 일어나는 플레이어 입장에서 영 좋지 않은 일들은 거의 막아준다. 하지만 약탈서버/생야생서버에서는 테러 방지 그런 거 없다. 어느정도 사회생활을 보장하는 곳에선 오히려 깔지 않고 테러/도둑질이 또다른 직업의 활동으로서 존재하기도 한다.

해외 계열에서는 GriefPrevention 플러그인이 애용된다. 자동으로 근처 블럭을 보호해주는 기능 등이 있다. 다만 커맨드로 사각형 모양의 구간을 지정해야 하는데 처음 써 보면 생소하다. 어드민은 블럭을 무한히 보호할 수 있으며 일반 플레이어의 보호 가능 블럭을 제한 가능하다.

3.5.1. Ownblocks

<colbgcolor=#3f83c4> Ownblocks
다운로드 페이지 Devbukkit (1.2.5 버전), Bukkitorg (1.5.2~1.8.9 버전), (1.12.2 버전), Spigot (1.14.4 버전)
버전 1.2.5, 1.5.2~1.8.9, 1.12.2, 1.14.4~1.16.2
관련 플러그인
공식 링크
플레이어가 설치한 모든 블럭이 보호된다. 그러나 피스톤으로 밀거나 당기면 보호가 헤제되므로 피스톤을 작동 안되게 하거나 밴아이템으로 설정해야한다.
TNT 역시 뚫린다. 크리퍼도 역시 뚫리므로 anticreeper 등의 폭발방지 플러그인을 써야한다.[30]
버전은 1.2.5~1.8.9, 1.12.2~1.16.2 에서 작동.
1.2.5~1.8.9 버전은 원래 개발하던 분이 개발을 중단해서 1.8.9 까지만 작동한다.
1.12.2~1.16.2 는 플러그인 개발하시는 분들이 직접 개발해서 배포되고 있다. 네이버 또는 구글에 검색하면 나온다.

이 플러그인의 큰 문제점이 있다. 일단 UUID 를 지원하지 않는다는것! 유저가 닉네임을 바꾸면 그 유저는 서버를 접을 수 밖에 없는 난처한 상황이 일어나게 된다... (...) 다만 최근 버전들은 지원되는 걸로 보인다.

그리고 서버 내의 테러범의 블럭까지 보호가 되며, 운영자가 테러범의 블럭을 제거해도 그 공간에 새 블럭을 설치할 경우 다시 보호가 작동해 피해자가 해당 좌표의 블럭을 파괴하려면 계속해서 운영자가 수정해줘야 한다.

두번째로, 블럭보호를 공유할 수 없다.

마지막으로 보호되는 블럭이 많아지면 많아질 수록 저장할 때마다 서버가 멈추는 시간이 더 늘어난다...

이런 큰 문제점들이 있어서 차라리 1.7~1.12.2 에서 작동하는 blockown 이란 플러그인을 쓰는걸 권장한다...

3.5.2. Blockown

<colbgcolor=#3f83c4> Blockown
다운로드 페이지 Spigot, (1.7.10)
버전 1.7.10, 1.8~1.12.2[31]
관련 플러그인
공식 링크
플레이어가 설치한 블럭이 모두 보호된다.
1.7 버전은 따로 검색해서 구해야 한다.
1.8~1.12.2 버전은 spigot 페이지에서 설치가 가능하다. 개발자가 1.10에서 개발을 중단했지만 운좋게도 1.12.2 까지 정상 작동 했다.

이 플러그인 역시 폭발방지, 피스톤을 막아줘야 한다.

Uuid로 데이터를 저장하여 유저가 닉네임을 바꿔도 괜찮다.

관리자들은 /ignore 명령어로 유저가 설치한 블럭을 부술 수 있는 모드를 키는것이 가능하다.

유저들은 /addfriend 명령어로 블럭보호를 공유할 수 있고, /list friend 로 친구 목록을 볼 수 있다. /remfriend 로 친구를 지울 수 있다.

/owning 이 ownblock 에서의 /ob 역할을 한다.
이게 ownblock보다 성능쪽, 기능쪽, 보안쪽에서 더 좋은데도 오히러 인지도가 낮다.

3.5.3. Grief prevention

<colbgcolor=#3f83c4> Grief prevention
다운로드 페이지 DevBukkit, Spigot
버전 1.0~1.16.5, 1.17~1.18.2
관련 플러그인
공식 링크
보호영역을 선점해서 보호하는 보호 플러그인이다.

3.5.4. World Guard

<colbgcolor=#3f83c4> World Guard
다운로드 페이지
WorldEdit이 요구된다.

3.6. 보안 플러그인

3.6.1. Core Protect 플러그인(유저 활동 기록 플러그인)

<colbgcolor=#3f83c4> Core Protect
다운로드 페이지 Devbukkit, Spigot
버전 1.3.2~1.13.2, 1.14~'1.20
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord
이 플러그인의 장점은 플레이어가 서버와 상호작용하는 대부분의 활동을 기록하고 불러올 수 있다는 점이다. 이 수준이 상당히 높아서 시간대별로 행동을 구분할 수 있고 특정 시간대의 특정 구역에서 특정한 플레이어의 상호작용만 골라서 이전 상태로 변경할 수 있다. 심지어는 유저의 채팅 기록이나 명령어 기록까지 찾아 볼 수도 있다.

플러그인의 최적화가 잘 된 편이며, 최신 버전의 블록 및 이벤트도 완벽하게 지원한다. 또한 월드에딧으로 수정한 블록도 기록되므로 사실상 로깅 플러그인의 최강자라 할 수 있겠다.

하지만 치명적인 단점이 존재하는데, 바로 데이터베이스 파일이 상당한 용량을 가진다는 것과, 랜덤 i/o 성능이 떨어지는 하드 디스크 등의 장치에 데이터베이스를 저장하는 경우 데이터베이스를 불러오는 데 상당한 시간이 걸린다는 것이다.[32] 이 문제는 특정 부분을 오랜 과거로 롤백하는 경우 굉장히 큰 단점으로 작용될 수 있다. 해결 방법이라곤 SSD에 저장하거나 램에 상주하고 수동으로 저장하도록 하는 방법 외에는 별다른 해결책이 없다.

대표적인 명령으로는 /coreprotect inspect (/co i) 가 있으며, /coreprotect rollback 이나 /coreprotect restore 과 같이 맵의 일정 부분을 특정 시간대로 변경하는 기능이 있다. (나머지는 생략.) 사용법은 후술.

/co inspect 를 사용하여 블록의 변경 사항을 볼 수 있다. 활성화하고 블럭을 좌클릭(파괴)하면 파괴한 블록의 기록을 볼 수 있고 우클릭(설치)하면 주변 블록의 기록을 확인할 수 있다. 상자 등 데이터가 있는 블록을 우클릭 하면 그 블록의 로그를(아이템 제거 등) 확인 할 수 있다.

/co rollback 을 사용하여 맵의 특정 부분을 되돌릴 수 있다. 이 명령은 특정 지역의 플레이어가 수정한 부분을 제거한다. 예를 들자면, /co rollback t:10.01h[33] u:NamuWiki r:32[34] 를 사용하면 명령어를 사용한 플레이어 주변 32블록에 대해 NamuWiki라는 플레이어가 수정한 사항을 10시간 전으로 되돌리게 된다.

/co restore 의 경우 위 커맨드와 역할이 정 반대이다. 롤백이 특정 부분을 되돌리는 명령이였다면, 이 명령은 플레이어가 수정을 가한 상태로 변경한다. 예시로 /co rollback t:10h u:NamuMirror 을 입력하였으나, 다시 되돌리려고 할 때 롤백을 다시 사용하면 아무 일도 일어나지 않는다. 하지만 /co restore t:10h u:NamuMirror 을 사용하면 롤백한 내용을 다시 되돌릴 수 있다. 또한 Namu의 집에 약 20명의 플레이어가 동시에 테러를 저질렀다고 가정할 때, 20명의 이름을 모두 적는 것은 매우 비효율적일 것이다. 이 때 /co rollback t:시간 을 사용하여 집을 짓기 이전 상태로 롤백한 후 /co restore t:시간 u:Namu 을 사용하여 20명의 플레이어를 제외하고 집의 주인인 Namu가 변경한 사항만 불러올 수 있다. 두 커맨드 모두 잘 사용하기만 한다면 굉장히 효율적인 기능이 될 것이다.

/co lookup 의 경우에는 /co i에서 확인 한 로그의 페이지를 넘기거나 블록의 클릭 없이 유저의 채팅기록, 명령어 기록, 블럭 설치/파괴 기록, 블록 데이터 수정 기록 심지어는 세션 기록과 닉네임 변경 기록까지 확인 할 수 있다.

3.6.2. ChatControl (채팅 관리 플러그인)

<colbgcolor=#3f83c4> ChatControl
다운로드 페이지 Spigot(1.2.5~1.16.4), Github(1.4.6+) MC-Marcket(1.2.5+)
버전 1.2.5~1.19
관련 플러그인
공식 링크 파일:GitHub 아이콘.svgGithub
이 플러그인은 채팅 관리의 편의성을 갖춘 플러그인으로, 일단 기본적으로 비속어를 48개 이상이나 막는다. 게다가 정규표현식 (Regex) 기술을 사용하여 더 효과적으로 차단할 수 있다. 심지어 효과적으로도 IP 홍보를 차단한다고 한다. 이 외에 도배, 같거나 유사한 단어, Caps, 영어 이외의 언어, 자동 오차/문법 수정, 명령어, 등등 채팅에서 기본적인 기능을 제공한다. 또한, 이 플러그인의 업그레이드 버전인 ChatControl Pro[35]가 있다. 이 플러그인은 유료이며, Spigot 웹사이트에서 구매할 수 있다. ChatControl Pro는 번지코드 동기화, 포인트 누적 시스템, 등등 채팅 기능이 더 많이 들어가 있다.

3.6.3. Banitem (아이템 이용 제한 플러그인)

<colbgcolor=#3f83c4> Banitem
다운로드 페이지 Devbukkit(1.5.2~1.6.4), Spigot(1.7+)
버전 1.5.2~1.6.4, 1.7~'1.20
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
상위버전 플러그인 다운로드 -https://www.spigotmc.org/resources/banitem-1-7-1-14.67701/
특정 아이템을 권한을 가진 사용자 외에는 이용하거나 특정 행동[36]을 하지 못하게 방지하는 플러그인이다.
아이템의 금지 사유 또한 설정 가능하며[37] 금지 아이템을 인벤토리에서 삭제하는 기능도 가진다.[38] TNT 등 테러에 악용 가능하거나 기타 문제의 소지가 있는 아이템을 제한할 때 사용 가능하다.
에센셜에도 이와 같은 기능이 존재한다. 에센셜 모듈 중 EssentialsProtect[39]와 EssentialsAntibuild[40] 가 바로 그것이다.

3.6.4. WorldBorder

<colbgcolor=#3f83c4> WorldBorder
다운로드 페이지 Devbukkit(Beta 1.7.3~1.12.2), Spigot(1.13~1.14.4), Spigot(1.15+)
버전 Beta 1.7.3~1.14.4, 1.15~1.19
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
바닐라의 세계 경계보다 더 고급적인 세계 경계를 추가하는 플러그인. 원형/직사각형 형태의 세계 경계도 구현 가능하며, 월드별로 세계 경계의 모양과 크기를 다르게 지정하는것도 가능하다. 세계 경계 내의 청크를 미리 생성하거나 세계 경계 밖에 존재하는 청크를 삭제하는 기능도 갖추고 있다. Dynmap과 기본적으로 호환되어 해당 플러그인이 있을 경우 지도에 세계 경계가 표시된다.

포지 모드 버전으로도 포트되어 있다.

3.6.5. AntiRedstoneClock (레드스톤 무한회로 방지 플러그인)

<colbgcolor=#3f83c4> AntiRedstoneClock
다운로드 페이지 Spigot
버전 1.8~1.19
관련 플러그인
공식 링크 Gitlab
이 플러그인은 레드스톤 무한회로를 방지해준다. 레드스톤의 신호를 너무 빠르게 주거나 무한회로를 사용해서 서버를 렉걸리게 하거나 터트리는 그런 취약점이 있는데 무한회로를 방지함으로써 그런것들을 막아준다. 레드스톤이 부서진 자리에는 "이 서버에서는 레드스톤 무한회로를 만들 수 없습니다" 라는 뜻의 표지판이 생성된다.

config.yml 에서 표지판의 메세지를 변경할 수 있다. 하지만 웬만하면 레드스톤 회로가 방지됐을때 표지판이 나오게 하는건 끄는게 좋다. 그걸로다가 청크밴[41]을 해버릴 수가 있다.

, Paper 버킷 또는 Paper 기반 버킷을 사용중이면 paper.yml 에서 use-faster-eigencraft-redstone: true 로 설정해주면 레드스톤이 훨씬 더 렉이 덜걸리게 작동해 주니 켜주는게 좋다.

3.6.6. SpeedLimit (속도 제한 플러그인)

<colbgcolor=#3f83c4> SpeedLimit
다운로드 페이지 Spigot
버전 1.8~1.19
관련 플러그인
공식 링크
이 플러그인은 플레이어의 모든 속도를 제한해 준다. 겉날개의 폭죽을 써서 너무 빠르게 이동한다던지, 핵클라이언트를 사용해서 빠르게 이동해서 서버를 렉걸리게 한다던가 터트린다던지 등의 취약점을 막아준다.[42]

config.yml 에서 allow-falling-bypass: true 로 설정해주고, put-back-on-vehicle: false[43] 로 설정해 줘야 하고, too-fast-message: ""로 설정하는게 좋다.
max-meters-per-second 항목은 바닐라 기능을 일부 제한해서[44] 막으러면 11.5 로 설정하고, 바닐라 기능을 모두 허용할 거면 30.0 으로 설정해 주면 된다.[45]
그리고 worlds: 에 속도를 제한할 월드를 입력해 주어야 해당 월드들에 속도 제한이 걸린다.

3.6.7. Orebfuscator (엑스레이 방지 플러그인)

<colbgcolor=#3f83c4> Orebfuscator
다운로드 페이지 DevBukkit(Beta_1.7.3~1.9.2), Spigot(1.9.3+)
버전 Beta_1.7.3~1.9.2, 1.9.3~1.20
관련 플러그인
공식 링크 파일:GitHub 아이콘.svgGithub
이 플러그인은 엑스레이 방지 플러그인이다. 관전모드,자갈 및 퇴비통 버그 이용,리소스팩,모드 등 방식으로 이용하는 엑스레이 까지 모두 차단한다!

작동 원리는 서버가 보내는 맵 데이터를 변경한 후 클라이언트로 보내는 것으로 아예 정상적인 유저가 볼 수 없는 대부분 돌 블럭,네더 랙[46]들이 다이아몬드,철광석,에메랄드,TNT 등 엑스레이 사용자에게 엉뚱한 블럭으로 가짜로 랜더링시킨다. 말 그대로 이건 엄청 사악한 방식이다! 대신 맵 데이터 처리에 한 단계가 추가되었기 때문에 CPU 사용량이 급격히 증가한다. 이는 서버에서 처리하는 블럭 데이터 수가 플레이어 1명만 해도 수만 ~ 수십개를 감지해 수백 ~ 수천개가 되는 블럭 데이터를 변조해야 하기 때문이다.

마찬가지로 이 플러그인은 ProtocolLib 4.0 이상 버전 플러그인을 필수로 필요하다.

다만 1.10.2 이하의 spigot(또는 기반) 서버를 사용하거나 1.12.2 이상의 Paper(또는 기반)을 사용중이면 필요 없다.(오히러 안쓰는게 좋다.) 1.10.2 이하의 spigot(또는 기반) 서버일 경우는 spigot.yml 혹은 1.12.2 이상의 paper(또는 기반) 서버에는 기본 탑재되어 있다. paper.yml 파일 안에 anti-xray 설정을 변경하면 안티 엑스레이 기능을 켤 수 있다. 서버 기능이다보니 플러그인보다 CPU 사용량이 훨신 떨어진다. 또는 engine-mode: 1 로 설정할 경우[47] xray 방지가 90% 정도되며[48] CPU 사용량도 거의 영향이 없다.

3.7. 건축 관련 플러그인

3.7.1. WorldEdit

파일:상세 내용 아이콘.svg   자세한 내용은 WorldEdit 문서
번 문단을
부분을
참고하십시오.

3.7.2. VoxelSniper (브러쉬 플러그인)

<colbgcolor=#3f83c4> VoxelSniper
다운로드 페이지 Devbukkit(1.0~1.12.2), Spigot(1.15.2), Github(1.16+)
버전 1.0~1.12.2, 1.15.2, 1.16~1.20.1
관련 플러그인
공식 링크 파일:GitHub 아이콘.svgGithub
브러쉬 플러그인이다. 보통 지형 등을 만들거나 나무를 만들때 주로 쓰는 플러그인이다.

붓 준비 명령어
/b [크기] 로 붓의 크기를 정할 수 있다.
/v [블럭코드] 로 붓의 블럭을 정할 수 있다.

사용하기
/b b 명령어를 친다음 화살을 바라보고 있는 방향에 우클릭하면 공을 생성할 수 있다.
/b v 명령어는 정사면체를 생성 가능하다.
/u 로 실수한 부분은 되돌릴 수 있다.

다듬기
/b e melt 명령어를 친다음 화살을 바라보고 있는 방향에 우클릭하면 누그러뜨릴 수 있다.
/b e fill 명령어는 채움.
/b e smooth 는 다듬기
/b e lift 는 올림.

사용하기의 명령어만으로는 지형을 생성하기 어려우니 사용하기 명령어로 공을 생성한후 다듬기의 명령어도 사용해서 부드럽게 다듬어 주는게 좋다.

3.7.3. FastAsyncWorldEdit(FAWE) / FastAsyncVoxelSniper(FAVS)

<colbgcolor=#3f83c4> FAWE / FAVS
다운로드 페이지 FAWE, FAVS
FAWE 버전 1.7~1.16.3, 1.16.5~1.20
FAVS 버전 1.7~1.12.2, 1.13.2~1.20
관련 플러그인 WorldEdit
공식 링크 Spigot(FAWE), 파일:디스코드 아이콘.svgDiscord
이 플러그인을 사용하려면 1.15.2 이상은 java 16 이상이 필요하다.
FastAsync 플러그인은 기존 월드에딧/Voxelsniper보다 더 빠른속도로 월드에딧/Voxelsniper가 작동하게 해주는 플러그인이다. 일부 명령어는 기존 worldedit/VoxelSniper 플러그인과 다르니 그 명령어는 찾아봐야 한다.

이 플러그인은 빠르면서도 서버가 터지지 않고 작동이 되게 끔 해준다.

그러나 버그가 있을 수 있으니 사용에 주의하는 것이 중요하다.

3.8. 비정품 허용 서버 필수 플러그인

비정품 허용 서버란 말 그대로 비정품 사용자 유저의 접속을 허용하는 서버이다.

server.properties 파일에서 online-mode의 값을 false로 설정하면 모장의 아이디 서버를 사용하지 않기 때문에 비정품 유저들이 접속할 수 있다. 다만 모장 서버를 거치지 않기 때문에 보안이 취약하는데 닉네임으로만 유저들의 데이터를 저장하므로 어떤 사람이 다른 유저의 닉네임로 접속해서 아이템을 빼가거나 테러, 아니면 관리자 닉네임로 접속해서 테러할 수 있다. 또한 모장 서버와 연결되어 있지 않으므로 유저 스킨은 보이지 않고 스티브나 알렉스 스킨으로만 나온다. 그렇기에 비정품 서버에서는 필수적으로 넣어줘야 하는데 플러그인들이 있다.
비정품 서버에서는 UUID 기능이 작동하지 않으므로 유저가 닉네임을 바꾸면 플레이가 불가능해진다.[49].

또한 이거는 확실하지 않지만 EULA 위반이라고 생각하는 커뮤니티가 많아서[50] 우리들의 마인크래프트 공간 등지에서 비정품 서버에 대한 홍보를 금지하기도 했다. 사실 EULA 위반은 유저 접속와 상관 없고 게임에 영향을 주는 아이템을 파는데다 과도한 후원 유도로 인해 비정품 서버에 대한 시선이 안좋다.

1.7.5 이하 버전의 서버들은 버그가 발생했는데 정품서버로 열어도 접속하라면 하면 "Bad login"라는 메시지가 나와서 아무도 접속하지 못하는 상황이 발생한다. 그래서 1.7.5 이하 서버는 비정품 서버이다.[51]

2020년 3월에 발생한 취약점 사건으로 인해 정품 서버들도 한 동안 로그인 플러그인을 적용하기도 했다. 몰론 취약점이 패치된 이후 바로 삭제되었다.

3.8.1. Userlogin(로그인 플러그인)

<colbgcolor=#3f83c4> Userlogin
다운로드 페이지 Spigot
버전 1.8~1.16.5
관련 플러그인 Authme[52]
공식 링크 파일:GitHub 아이콘.svgGithub
로그인 플러그인은 정품 서버에서는 필요가 없지만 비정품 서버라면 필수적으로 적용하고 있다.[53] 모장의 아이디 서버를 거치지 않는 대신에 서버 내에서 비밀번호를 입력하여 해당 닉네임으로 플레이할 수 있다.

일단 회원가입 하는 방법은
/register [비밀번호] [비밀번호 재입력] 으로 회원가입이 가능하다.
로그인 하는 방법은
/login [회원가입때_가입했던_비밀번호] 로 입력하면 로그인이 가능하며 그 닉네임으로 서버를 플레이 할 수 있다.

플러그인에 따라 비밀번호 변경 기능이 없는 경우도 있으므로 비밀번호를 잘 기억해놔야 한다.

config.yml 에서 다양한 설정을 할 수 있으며, 그중 ipRecords: 라는게 있는데 이걸 enabled: true 로 설정해주고 delay: [원하는_시간] 으로 설정해 주면 같은 닉네임으로 같은 아이피로 delay: 에 설정한 시간안에 접속시 자동으로 세션 로그인이 돼서 설정해 주는게 좋다.[pipefilter_사용자_주의]

그 외에는 아이피 하나당 하나의 닉네임 가입을 제한할 수 있지만 그랬다간 정품 유저가 닉네임을 바꾸면 플레이하지 못하는 상황이 벌어지기 때문에 하지 않는 것이 좋다.[55]

3.8.2. SkinsRestorer(스킨 플러그인)

<colbgcolor=#3f83c4> SkinsRestorer
다운로드 페이지 Spigot
버전 1.8~1.19
관련 플러그인 ChangeSkin
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
SkinsRestorer
다른 유저의 스킨을 사용할 수 있게 해주거나 서버 내에서 스킨을 변경할 수 있게 해주는 플러그인이다.

1.7.6 이상의 비정품 서버에서는 이런 플러그인을 넣지 않으면 유저들의 스킨이 안나온다. 대부분은 필수적으로 넣는다. 정품서버라도 대부분 미니게임 서버에서 변신 기능이나, 캐릭터 변경 기능을 위해 이용하기도 한다.

지금은 해결됐지만, 1.16 이상의 서버에서 다중 버전 접속 플러그인[56] 과 함께 쓰는 경우에 1.15.2 이하의 클라이언트로 접속시 충돌이 일어나는 것이 확인되었었다. 이런 현상이 나타난다면 해결 방법은 최신 버전으로 업데이트 하면 해결된다.
  1. 7.10 서버를 운영중이면 ChangeSkin ← 이 링크를 클릭하여 changeskin 플러그인의 0.4 버전을 설치하면 된다. 1.7.10을 지원했던 스킨 플러그인이다.[57]

3.9. 서버 밴 플러그인

3.9.1. MaxBans

<colbgcolor=#3f83c4> MaxBans
다운로드 페이지 Devbukkit(1.4.5~1.12.2)
버전 1.4.5~1.12.2
관련 플러그인
공식 링크 파일:GitHub 아이콘.svgGithub
기존에 있던 마인크래프트 내의 밴 시스템을 개선한 플러그인. UUID를 지원하여 플레이어를 효과적으로 제거할 수 있으며, MySQL이나 SQLite를 지원한다. 그리고 해당 유저 닉네임 기록을 볼 수 있다. 그리고 차단 메시지를 직접 수정할 수 있으며, 색 코드를 지원한다. 하지만 1.12.2 버전까지만 개발이 되있으며 AdvancedBans와 LiteBans에 밀려 잘 쓰이지 않는다.

3.9.2. LiteBans

<colbgcolor=#3f83c4> LiteBans
다운로드 페이지 Spigot(열람 시 로그인 필요)
버전 1.7~1.19
관련 플러그인
공식 링크
ruany가 개발한 유료 마인크래프트 밴 플러그인이다. 가격은 8.50$[A]이다. 한화 약 11,067원[A]. 기존 밴 플러그인들보다 더 많은 유용한 기능들을 제공한다. 이로 인해 대부분의 서버가 이 플러그인을 이용한다. 기존의 플러그인보다 최적화가 잘 되어있으며, UUID를 기본적으로 제공한다. 킥이나 밴이나 뮤트[60], 경고 등을 플레이어에게 줄 수 있다. 게다가 장점은 오프라인인 플레이어에게도 경고를 줄수 있다는 점이다.[61]만약 관리자가 이 플러그인으로 악용하는 경우 운영자는 롤백 기능으로 원상 복구시킬 수 있다. 서버 운영자에게는 매우 큰 장점. 업데이트 이후로 JSON 메시지도 지원한다. 이 외에도 MySQL과 SQLite 등을 지원한다.

3.9.3. AdvancedBans

<colbgcolor=#3f83c4> AdvancedBan
다운로드 페이지 Spigot
버전 1.7~1.19
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
Leoko가 제작한 무료 마인크래프트 밴 플러그인. 일단 MaxBans보다도 기능이 많은 편이다. 이 플러그인도 킥이나 경고와 뮤트, 밴을 기본적으로 사용 가능하다. 그리고 뮤트 받으면 /say 등도 막을 수 있다. 이 플러그인 역시 최적화가 잘 되어있다. 그리고 BungeeCord도 지원한다고 한다. 기본적으로 UUID를 지원한다. 이 플러그인만의 고유한 특징으로 밴, 뮤트를 받을 때 마다 밴, 뮤트 기간이 점점 늘어나도록 설정이 가능하다. 게다가 애드온을 지원하여 각종 기능을 추가할 수 있다. 이 플러그인도 마찬가지로 업데이트 후 밴메시지를 직접 설정 가능하다.

단 이 플러그인은 기존의 밴리스트랑 연동이 안되며 자체 밴리스트도 불러오는데 오류가 많다.

3.10. 컨텐츠 중심 플러그인

3.10.1. 능력자 플러그인

무작위 능력을 할당 받아서 능력을 이용하여 PvP를 통해 승리하는 게임이다.
파일:상세 내용 아이콘.svg   자세한 내용은 능력자 플러그인 문서
번 문단을
부분을
참고하십시오.

3.10.2. Traincart

현실적인 철도를 구현하는 플러그인이다.
파일:상세 내용 아이콘.svg   자세한 내용은 Traincart 문서
번 문단을
부분을
참고하십시오.

3.10.3. mcMMO

게임 내에 여러 스탯들을 추가해주며, 그에 맞는 특수 스킬들을 추가해주는 등 여러 RPG 요소를 지원해주는 플러그인이다.

파일:상세 내용 아이콘.svg   자세한 내용은 mcMMO 문서
번 문단을
부분을
참고하십시오.

3.10.4. Magic Spells

<colbgcolor=#3f83c4> Magic Spells
다운로드 페이지 Devbukkit(Beta_1.7.3~1.7.10), Github(1.8+)
버전 Beta_1.7.3~1.17.1, 1.19
관련 플러그인 EffectLib
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
이 플러그인을 사용하려면 1.8~1.16.5 서버의 경우 java 11 이상, 1.17.1 서버의 경우 java 16 이상, 1.18.2 서버의 경우 java 17 이상이 필요하다.
우선 이 플러그인을 사용하려면 1.7.2 이상의 서버일 경우 EffectLib 플러그인이 필수로 필요하다.
말그대로 마인크래프트에서 마법을 쓸 수 있도록 해 주는 플러그인이다. 실제로 마인크래프트 내부의 엔티티나 파티클들을 이용하여 모드가 없이도 서버에 접속만 하면 다양한 마법적 효과가 나타날수 도와준다. 난이도는 쉬운 편이다.[62] 심화로 올라가면 상당히 복잡하며, 이펙트를 구현하기 위한 Effectlib 플러그인의 Equation Effect 사용시 어느 수준의 수학실력과 실력이 필요하다. SkillAPI보다 무궁무진한 스펠과 이팩트를 만들어 낼 수 있으며, 변수, 이벤트 등이 있어 서버 시스템을 제작할 수 있는 등 정말 기능이 많은 플러그인이다.
그러나 1.13이후 개발이 중단된것으로 보인다. 상위 버전 매직스펠이 존재하며, Git Hub 에서 다운로드가 가능하다.

3.10.5. SkillAPI

<colbgcolor=#3f83c4> SkillAPI
다운로드 페이지 Spigot(1.7~1.13)
버전 1.7~1.13
관련 플러그인 -
공식 링크 파일:GitHub 아이콘.svgGitHub
마인크래프트 내부에서 스킬을 사용할 수 있도록 해주는 플러그인이다. 매직스펠에 비해 진입장벽이 낮아[63] 1.12.2의 RPG서버가 애용하는 플러그인이며, 숙련자들은 매직스펠 못지않은 퀄리티를 뽑아내기도 한다.
3.10.5.1. ProSkillAPI
<colbgcolor=#3f83c4> ProSkillAPI
다운로드 페이지 Spigot(1.16~1.19)
버전 1.16~1.19
관련 플러그인 코어 플러그인
공식 링크 파일:GitHub 아이콘.svgGitHub
SkillAPI를 보다 신버전에서 사용할 수 있도록 포팅된 버전이다. SkillAPI 유료화 버전이 아니면 사용할 수 없던 기능들을 전부 사용 가능할 뿐만 아니라 기존에 비해 더 디테일하고 다양해진 메카닉들 덕분에 숙련만 된다면 더 화사한 스킬을 제작할 수 있게 되었다. 이곳에서 스킬을 제작할 수 있다.

3.10.6. CrackShot

<colbgcolor=#3f83c4> CrackShot
다운로드 페이지 Spigot(1.7.2~1.16.5)
버전 1.7.2~1.19.2[64]
관련 플러그인 CrackShotPlus(유료 애드온)
공식 링크 파일:GitHub 아이콘.svgGitHub
총 플러그인이다. 다양한 계열의 총들과 폭탄이 기본 사양으로 들어있으며 자기 스스로 입맛에 맞춰 수정하거나 새로 만드는것이 가능하다. 특히 이 플러그인의 강점은 다양한 총들의 효과를 클라이언트의 수정(모드 등)이 없이 이용할 수 있다는 것인데 이는 초보자들의 서버 유입을 쉽게 만들어준다. 이 플러그인으로 만들수 있는 총과 폭탄의 효과는 무궁무진한데, 총 맞으면 하늘로 날아가게 한다든가, 폭탄을 던지면 하늘로 발사되어 사람을 공중으로 끌어모아 던져버린다든지, 원격 폭탄을 만든다든지, 아무튼 다양한 총기와 폭탄을 만들 수 있도록 도와주는 좋은 플러그인이다. 특히 다른 플러그인도 그렇지만 서버 텍스쳐나 리소스팩등과 함께하면 큰 시너지 효과를 얻을 수 있다.
, PVPGunPlus 플러그인도 이 플러그인과 같이 총 플러그인이다.[65]

3.10.7. Quality Armory

Crackshot와 마찬가지로 총 플러그인이다. 크랙샷 보다 기본으로 총이 더 많이 있으며 명령어로 플러그인 자체의 리소스팩을 다운로드가 가능하다. yml 수정으로 새로운 총을 만들 수 있다. 크랙샷 보다 기능은 적지만 웬만한 FPS 계열에서는 기능도 있을 기능은 다 있다고 볼 수 있다.
Quality Armory Vehicle 플러그인으로 탈것도 추가가 가능하다. [66]

3.10.8. MythicMobs[67]

<colbgcolor=#3f83c4> MythicMobs
다운로드 페이지 Spigot(1.12.2+)
버전 1.12.2~1.15.2, 1.16~1.20.1
공식 링크 MythicCraft
YAML 문법으로 다양한 몹, 드롭 아이템, 스킬을 추가할 수 있는 플러그인이다. RPG서버에서 가장 자주 사용되는 플러그인이며, 사용자의 역량에 따라 퀄리티가 크게 갈린다. Lib's Disguise 및 ProtocolLib이 없으면 제대로 된 사용이 힘드니 참고하면 좋을 것이다.

3.10.9. Citizens2

<colbgcolor=#3f83c4> Citizens2
다운로드 페이지 Spigot, 이전 버전 다운로드 리스트(1.4.5~1.10.2), Devbukkit(Beta_1.7.3~1.4.4)
버전 Beta_1.7.3~1.7,10, 1.8~1.18.1[68] 1.8.8, 1.12.2, 1.16.5, 1.17.1, 1.18.2, 1.19
공식 링크 파일:GitHub 아이콘.svgGitHub 개발 버전 다운로드
서버에 NPC를 추가할 수 있는 플러그인이다. 플레이어 NPC도 추가할 수 있어, 석상을 만들거나 스크립터 플러그인과 연동해 실제로 상호작용 가능한 MMORPG스러운 NPC도 구현할 수 있다. Spigot에선 $10이지만 빌드 버전 관리 페이지에 가면 개발 버전을 무료로 다운받을 수 있다. Denizen, Sentinel, BetonQuest 등의 다양한 서드파티 플러그인으로 NPC에게 상호작용 스크립트를 부여하거나 적대적 몹이나 경비 등을 만들거나 RPG에서 볼 법한 퀘스트를 주는 NPC를 만들 수도 있다.

3.10.10. Vehicles

<colbgcolor=#3f83c4> Vehicles
다운로드 페이지 Spigot(1.14+) (로그인 필요)
버전 1.14~1.19
서버에 비행기, 자동차 등 탈것을 추가해주는 플러그인이다. 가격은 10€(한화 약 13,000₩) 이며 리소스팩 없이 플러그인을 이용 가능하다.

3.11. 스크립터 계열 플러그인

3.11.1. VariableTriggers

<colbgcolor=#3f83c4> VariableTriggers
다운로드 페이지 Devbukkit, (1.12.2+)
버전 1.2.5~1.8.9, 1.12.2~1.19
관련 플러그인
공식 링크
스크립터 계열 플러그인중 대표주자[69]이자 입문형으로 주로 간단한 코드를 짜거나 명령어 축약의 용도로서 많이 사용한다. 하지만, 역시 스크립터 계열답게 지원하는 기능이 얼마 없더라도 많은 것들을 만들어 낼 수 있다. 이것의 상위호환형인 Skript나 one commend 정도까지 가면 거의 플러그인을 대체 할 수 있을 정도. 사실 이 플러그인의 주된 이용 구문은 IF구문으로서 보통 일정한 조건을 만족시키는 상황에서 변수를 생성하고 그 값을 IF구문에 넣어서 다양한 명령을 시행하는 형태로서 사용된다.

스크립트 계열 플러그인중에서 가장 쉽다.

1.2.5~1.8.9 버전은 devbukkit에서 설치가 가능하며 1.8~1.8.9 는 v1.3.3.1(CB 1.7.9) 버전을 쓰면 된다.

여기서 중요한 것은, VT1과 VT2를 동일시 해서는 안 된다. 같은 devbukkit에 있다고 해서 같은 개발자가 만든 게 아니다. VT1 원래 개발자가 v1.3.3.1(CB 1.7.9) 까지만 개발하고 VT2 부터는 다른 개발자가 만들었는데, 그냥 같은 페이지를 쓰는것 뿐이다. VT2의 문제는 버그가 심각하게 많는 것이고, 트리거가 계속 날아간다. 또한 명령어가 제대로 안먹히는 경우도 많으며, 안정성을 고려한다면 VT2는 자제하는 것이 권장된다.

1.12.2 이상 버전은 VTV1을 쓰면 된다. 원래 제작자가 아닌 다른 제작자가 만들었고 v1.3.3.1 버전을 1.12.2 이상에서 작동하게 만들었다. VTV1 은 네이버나 구글에 검색해서 구할 수 있다.

3.11.2. Skript

https://skripthub.net/docs/ (구문 설명 사이트)

스크립터 계열 플러그인중 해외를 포함해서 가장 많이[70]사용하는 플러그인이다.[71] 위의 Varriable Triggers(VT) 는 명령어로 만드는 방식이라면 Skript는 전부 파일을 직접 수정하는 방식으로 제작한다. 기능은 VT보다 다양하며, 애드온을 추가해 기능을 더 확장할 수 있다.

다만, 시스템을 플러그인으로 직접 개발하는 것보다는 구동시 렉이 더 걸린다. 대규모 서버 일수록 이 문제점이 두드러지게 된다.[72]

파일:상세 내용 아이콘.svg   자세한 내용은 Skript 문서
번 문단을
부분을
참고하십시오.

3.11.3. CommandHelper

커맨드헬퍼 Bukkit 포럼 커맨드헬퍼 공식 위키 (영어) 커맨드헬퍼 개발 빌드 (다운로드) 커맨드헬퍼 깃허브 (소스)
(버킷 포럼에는 마지막 업데이트가 2011년이지만 계속 업데이트가 되고 있다)
스크립터 계열 플러그인중 가장 나중에 한국에 알려진 플러그인이자[73], 제일 많은 기능과 발전 가능성을 가지고 있는 플러그인이다. Skript 플러그인과 동일하게 파일을 수정하는 방식과 게임 내에서 명령어로 작성하는 방식을 사용하나, 명령어로 입력하는 방식의 한계는 파일을 수정하는 방법보다 많이 제한되어 있다. 스크립터 계열 플러그인중에선 기능면으로 봤을 땐 감히 따라올 자가 없을 정도로 발전할 수 있다! 특수한 기능은 API 지원, DB 연결 지원 (MySQL, SQLite, PostgreSQL), WorldEdit 플러그인 및 WorldGuard 플러그인 연동 지원, 경제 플러그인 연동 지원, IRC 접속 지원 등이다. Bukkit 플러그인의 기능을 편하게 사용할 수 있도록 제작해 놓았다고 봐도 과언이 아닐 정도로 엄청난 기능이 있다.

파일:상세 내용 아이콘.svg   자세한 내용은 CommandHelper 문서
번 문단을
부분을
참고하십시오.

3.11.4. Trigger Reactor

<colbgcolor=#3f83c4> Trigger Reactor
다운로드 페이지 Spigot Bukkit Github
버전 1.5.2~1.19
개발 wysohn
공식 설명서 파일:GitHub 아이콘.svg
공식 링크 파일:디스코드 아이콘.svgDiscord 파일:KakaoTalk_20200530_231823522.png공식_사이트 파일:GitHub 아이콘.svgGithub

스크립터 플러그인으로 스크립터 계열 플러그인중 가장 늦게 등장했다. 축약어로 주로 TR, TRG등을 사용한다.

스크립터 계열 플러그인중 하나인 Variable Triggers의 갑작스런 개발중지[74] 선언으로 인해 상위버전(1.8~)에서 사용할 트리거가 없게 되자, 대체재로 사용되는 플러그인으로, 국내와 해외 모두 인지도가 그리 높은 편은 아니지만 한번 접하면 기존 VT처럼 완전히 중독되어 버리는 증세가 발생하기도 한다.

기존 VT의 문법적인 부분을 다수 차용했다. 예를 들어 일시적 OP 권한으로 명령어를 실행하는 실행자는 VT의 @CMDOP와 비슷한 #CMDOP 이며, IF와 ENDIF 등로 한 스코프를 표기하는 방식, 스크립트를 실행하는 플레이어의 게임 내 이름을 반환하는 $playername 등 placeholder도 일부 VT의 문법에서 따온 부분이 보인다.

동시에 문법적인 면에서 VT보다 편리해진 부분이 있으며, 파이썬의 문법에서 따온 부분도 다수 보인다. 예를 들어 변수의 타입을 정의하지 않아도 자동으로 처리하리 기능과, 파이선의 for 루프와 유사하게 FOR i = 0:10, FOR p = getPlayers() 과 같은 파이썬식 문법을 볼 수 있다.

VT의 기본적인 기능들을 지원함과 더불어 기본적 기능을 벗어난 기능들은 VT와 확연히 다른 기능을 보여준다. import 기능을 통한 Bukkit API와 타 플러그인 메소드 및 고유 이벤트 엑세스[75], JavaDoc구문의 사용, #MYSQL등의 Executor을 통한 DB 엑세스 등을 지원한다.

즉, 구문 내에 버킷 메소드를 그대로 사용하거나, 타 플러그인에 엑세스하여 플러그인 고유 메소드를 사용 가능하다. 심지어는 import 기능을 통해 java.* 구문을 import하여 마인크래프트와 관련성이 없는 작업까지도 엑세스하여 관리가 가능하다. 예를 들면 java.io쪽 클래스를 import하여 파일시스템에 접근할 수 있다. 다만, NMS관련 기능은 아직까지 구현해내기 어려운 모양이다. 신생의 플러그인이라고 생각하기에는 CommandHelper와 맞먹는 엄청난 기능들을 구현해내는건 사실이지만, 매우 높은 진입장벽으로 인해 국내및 해외에서의 인지도가 그렇게 있는 편은 아니다.CommandHelper도 프로그래밍 언어 그대로 쓰는데 왜 나만...
개발자가 한국인이다! 개발자에게 질문하면 길어도 1주일 이내에는 답변을 받을 수 있으며, 공식 디스코드 서버에서 질문할 수도 있다.[76] 개발자가 한국인인 만큼 한국어로 만들어진 위키페이지홈페이지[77]를 지원한다.

파일:상세 내용 아이콘.svg   자세한 내용은 Trigger Reactor 문서
번 문단을
부분을
참고하십시오.

3.12. 다중 버전 플러그인

3.12.1. ViaVersion (상위 버전 접속 허용)

<colbgcolor=#3f83c4> ViaVersion
다운로드 페이지 Spigot
버전 1.8~1.20
관련 플러그인 ViaBackwards, ViaRewind
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub

만약 여러 버전의 접속이 가능한 서버가 있다면, 이 플러그인을 사용했을 가능성이 높다.

이 플러그인은 서버 버전과 다른 클라이언트 버전으로도 접속이 가능하게 해주는 플러그인이다. 1.8 이상의 서버에서 이 플러그인을 사용하면 해당 서버의 버전부터 최신 버전까지 모두 서버에 들어올 수 있게 된다.

서버 버전이 뒤떨어져도 최신 버전에서 접속할 수 있기 때문에 접근성 향상에 상당히 유용한 플러그인이다. 그리고 이전에는 유리판이나 울타리, 큰 상자 같은 블록끼리 이어지는 블록은 서버 버전과 같은 클라이언트 버전이면 텍스쳐가 정상이지만 서버 버전보다 상위버전으로 접속시 텍스쳐가 깨지면서 블록끼리 이어지는 블록은 이어지지 않고 각각 개별의 블록처럼 텍스쳐가 표시되었다.[78]

이 플러그인을 사용할 땐 /reload 명령어를 사용해서는 안 된다. 개발 측에서 버그가 발생한다고 언급하였으며, 서버 충돌이 발생할 가능성이 높고 서버 파일 자체에도 어떠한 영향을 주게될 지 알 수 없다.[79]

이 플러그인을 적용 후 상위 버전의 아이템을 인벤토리에 추가하면 바로 돌 블록으로 바뀌게 된다. 서버에는 상위 버전의 아이템이 존재하지 않아 클라이언트와 서버가 동기화되지 않기 때문이다. 하지만 상위 버전에서만 가능한 동작 등[80]은 가능한 것으로 보인다.[안티치트_문제]

스냅샷 버전 플레이어의 접속도 허용할 수 있다. 이 플러그인의 개발 버전을 다운로드하면 된다. -DEV라고 붙은 것이 개발 버전이다. 참고로 ViaBackwards, ViaRewind도 사용 중이면 그 플러그인들도 -DEV 버전으로 설치해줘야 한다. 그리고 모장에서 스냅샷 버전이 출시될 때마다 이 세 플러그인들도 전부 업그레이드를 해줘야 한다.

3.12.2. Viabackwards, Viarewind (하위 버전 접속 허용)

<colbgcolor=#3f83c4> Viabackwards, Viarewind
다운로드 페이지 ViaBackwards, ViaRewind
버전 1.19.0[82], 1.8~1.19.4, 1.20
관련 플러그인 Viaversion, ViaRewindLegacySupport, ProtocolLib[83], Viapotions
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgViabackwards_Github, 파일:GitHub 아이콘.svgViarewind_Github
이 플러그인들을 사용하려면 ViaVersion이 필요하다.

ViaBackwards는 1.10부터 최신 버전의 서버에서 1.9 버전까지의 하위 버전의 접속을 허용해준다.

ViaRewind 플러그인은 1.8~1.9 서버에서 1.7까지의 하위버전의 접속을 허용해준다. 1.10 이상 버전의 서버에서 사용하려면 ViaBackwards까지 넣어야한다.

Spigot(또는 기반) 서버에서 ViaRewind를 버그 없이 사용하려면 ViaRewind-Legacy-Support, ProtocolLib, ViaPotions[84]라는 플러그인까지 추가로 넣어줘야 한다.

이 2개의 플러그인 역시 하위버전들의 접속을 허용해주는 것뿐, 해당 서버 버전에 맞지 않는 플러그인을 사용하면 당연히 작동하지 않는다.

이 2개의 플러그인은 ProtocolSupport 보다 가볍다. 또한, 아이템이 다른 아이템으로 대체되면 원래 블럭의 이름이 뜬다. 또한 대체 블럭과 엔티티 설정이 ProtocolSupport에 비해 좋다.[85]

2인 보트 탑승이 가능하다.

그러나 이 플러그인 역시 1.9 이상의 서버에서 1.8 이하의 클라이언트들은 보트와 카트[86], 말을 조작할 수 없다. 또한 ProtocolSupport와 다르게 상자가 엔더 상자로 변환되지는 않지만, 상자 바로 옆에 상자를 설치할 수 없는 1.12.2 이하의 특성상 1.13 이상의 서버에서 상자 바로 옆에 상자를 설치할 경우 상자가 보이지 않는 버그가 있다.

/reload 명령어는 역시나 쓰면 안 된다. 서버 파일 손상이 일어날 수 있다.

ViaBackwards에만 있는 버그로, 1.13 이상의 서버에서 스코어 보드를 사용할 시 1.12.2 이하의 플레이어 이름이 16자 이후부터는 짤린다.[87]

ProtocolSupport와는 다르게, 최신 버전이 아닌 서버도 버그 수정 등을 지원하므로, 최신 버전의 서버가 아니면 이 플러그인을 쓰는 것이 좋다.

Sponge 서버도 지원한다.

번지코드를 사용하는 서버 중 1.7.x 플레이어가 안 들어와지는 현상이 있다면 Hexagonmc-bungeecord같은 1.7부터 최신버전을 지원하는 번지코드를 사용해야 한다. 또는 Velocity를 사용해도 된다.

1.16.5까지는[88] 월드 높이가 0~256 이었는데 1.18부터 월드 높이가 -64~320으로 바뀌면서 이 플러그인 개발자들에게 비상이 걸렸다. 달라진 월드 높이를 구버전에서 구현할 방법이 딱 하나[89] 있는데 구현이 어렵고 시간이 많이 소요될 것이라 현재 해결한 방법은 0~256까지만 보이게 하고 -64~-1, 257~320 좌표의 블럭들은 1.16.5 이하 버전에서는 안 보이게 하였다. 이로 인해 1.18 이상의 서버에서 0~256을 벗어나는 곳에 건축물이 있다면 1.16.5 이하의 플레이어들이 플레이를 하는 건 사실상 불가능에 가까워졌다. 데이타 팩으로 높이를 구 버전에 맞게 조정하고 건축을 하거나 1.18 이상의 서버에서 1.16.5 이하의 플레이어의 접속을 차단해야 한다. ViaVersion 플러그인의 config.yml에서 {{{blocked-protocols: []}} 괄호 사이에 1.16.5 이하의 버전 프로토콜 숫자들을 전부 입력하면 된다(...). 참고로 이 문제는 ProtocolSupport도 마찬가지다~~

공식적으로 1.17 미만의 버전에서 y=0이하의 블럭을 표시할 생각이 없다고 밝혔다. 이유는 자신들이 추구하는 개발 방향과 다르다고. 자신들은 완전한 역호환성을 만드려는 것이 아니라 그저 신 버전의 서버에 구 버전의 클라이언트가 접속할 수 있도록 만드는 게 목표라고 밝혔고, 신 버전의 서버에 구 버전의 클라이언트가 접속할 수 있게 만든 건 그저 편의성을 위한 플러그인인 것으로 보인다.

3.12.3. ProtocolSupport (더 많은 하위 버전 접속 허용)

<colbgcolor=#3f83c4> ProtocolSupport
다운로드 페이지 Spigot, Jenkins, 구버전 다운로드(1.8.8~1.17.1)[90]
버전 1.8.8~1.13.2[91], 1.14~1.18.1, 1.18.2
관련 플러그인 ProtocolSupportLegacySupport, ProtocolSupportBungee, ProtocolSupportLegacyChest
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
https://www.spigotmc.org/resources/protocolsupport.7201/
1.8 이상 버전 서버에 하위 버전(1.4.7, 1.5.2, 1.6.X, 1.7.X 등) 유저도 서버에 접속할 수 있도록 만들어준다.
당연히 플러그인 호환은 안 되며, 하위 버전은 최신 버전의 기능이나 아이템을 사용할 수 없다. (엔더수정, 갑옷 거치대 등) [92]
국내에서는 인지도가 매우 낮은 편이며, 설치된 서버를 찾기 어렵다.
Spigot(또는 기반) 버킷에서만 사용 가능한 플러그인이며 번지코드와 연동이 어렵기 때문에 일부 서버 운영에 소질이 많으신 분들만 주로 사용한다. 번지코드에 정 설치하려면 모든 Spigot 서버에 ProtocolSupport 를 설치하면 작동한다만 업데이트 될때마다 재설치 하기 싫으면 스크립트를 짜놓자.
설치해두면 서버 업데이트가 자연적으로 매우 많아지고 업데이트하다가 크래시가 뜨기라도 한다면... 서버를 새로 만드는 노가다를 경험할 수 있다

그리고 못 고친다는 치명적인 버그들이 있는데(과거 버전에서 일어나는 버그는 취소선 처리),
1.5.1 이하의 클라이언트에서 직접 연결로 접속하지 않는한 접속이 안되는것[93],
1.8.8 서버의 경우, 1.5.2 클라이언트에서 보트가 작동 안되는것,
1.9+ 서버의 경우, 1.8.9 이하의 클라이언트에서 보트, 말, 카트가 작동 안되는것,
무엇보다도 1.13~1.16.4 서버의 경우 1.12.2 이하의 클라이언트에서는 상자들이 모두 엔더상자로 보이고, 1.16.5 이상의 서버에서는 상자 옆에 상자가 설치된 경우 1.12.2 이하의 클라이언트에서 일부 상자가 안보인다.[ProtocolSupportLegacyChest][95]
1.16.3- 서버의 경우 이 플러그인을 넣을시 어느 버전으로 접속하던간에 2인보트가 안된다.
reload 명령어가 안먹힌다.
1.13 이상의 서버에서 스코어보드 글자 수가 32자가 넘어가면 1.12.2 이하의 플레이어의 스코어보드가 짤린다.

또한 잦은 업데이트에다가 최신 서버가 아니면 지원이 안되어[96] 불안정하므로 매우 오래된 구버전도 지원하는 이 플러그인보다는 1.9부터만 지원하는 ViaVersion + ViaBackwards 를 쓰는 편이 낫다. 1.8, 1.7도 지원하고 싶으면 viarewind+viapotion+viarewindlegacysupport 도 추가로 넣으면 된다.[97]

ProtocolSupportLegacySupport 라는 것도 있는데 이것도 넣어주는게 좋다. 하위 버전에서 안되는 기능들을 일부 가능하게 해주기 때문이다.

Viaversion 과 함께 사용하려면 Paper(또는 기반) 버킷을 사용해야한다.

번지코드를 사용하는 서버라면 1.7~1.7.10 플레이어의 접속을 허용하려면 Hexagonmc-bungeecord 같은 1.7~최신버전을 지원하는 번지코드를 사용해야한다. 1.4.6~1.6.4 플레이어의 접속을 허용하려면 ProtocolSupportBungee 라는 플러그인도 번지코드에 추가로 넣어야 한다.
또는 Velocity를 사용해도 되긴 하는데 Velocity 라는 것을 사용시 ProtocolSupportBungee 는 사용할 수 없으니 1.4.6~1.6.4 플레이어는 접속할 수 없다.

여러 플러그인과 충돌이 잦다. 특히 이런 다중버전 플러그인을 사용한다면 베드락 통합을 생각하고 있는 경우도 있는데, 이때 베드락 유저에게 스킨을 지원하기 위해 스킨 관련 플러그인을 설치하면 자신을 제외한 플레이어가 멈춘것처럼 표시된다. 어떤 종류의 스킨 플러그인을 사용하든지 다 멈춘다. 특별한 목적이 없다면 위의 viaversion을 사용하자.

3.12.4. ProtocolSupportStuff

<colbgcolor=#3f83c4> ProtocolSupportStuff
다운로드 페이지 Spigot
버전 1.12.2[98], 1.13~1.18.2
관련 플러그인 ProtocolSupport, ProtocolLib, OldCombatMechanics
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
이 플러그인을 사용하려면 Paper(또는 기반) 버킷을 사용해야하며 ProtocolLib 를 설치해야 기능을 전체 사용할 수 있다.

이 플러그인은 protocolsupport 플러그인의 아이템 맵핑을 바꿔주고, 하위 버전의 플레이어들에게 원래 아이템의 이름을 띄어준다.

또한 원하는 특정 버전들의 접속을 차단할 수 있다.

1.9 이상의 서버에서 전투 기능을 1.8 시절로 되돌리는OldCombatMechanics 라는 플러그인을 설치시 1.8.9 이하의 플레이어가 검을 우클릭할때 1.9 이상의 플레이어에게 방패가 뜨는 모션이 나타난다.

3.12.5. ViaversionStatus (버전 알림 플러그인)

<colbgcolor=#3f83c4> ViaversionStatus
다운로드 페이지 Spigot
버전 1.8~1.20
관련 플러그인 Viaversion, ViaBackwards, ViaRewind, ProtocolSupport
공식 링크 파일:GitHub 아이콘.svgGithub
이 플러그인은 다중버전 플러그인을 사용하는 서버에서 해당 서버의 버전으로 플레이어가 접속하지 않을경우 "해당 서버의 버전은 이 버전이니 이 버전으로 들어오시는걸 권장합니다" 와 같은 메세지를 띄어준다.
config.yml 에서 문구를 바꿀 수 있으며, 어느 버전에 그러한 문구를 띄울 것인지 선택할 수도 있다.

3.12.6. ProtocolChanger

<colbgcolor=#3f83c4> ProtocolChanger
다운로드 페이지 Spigot
버전 1.7~1.19
관련 플러그인 ProtocolLib
공식 링크 파일:GitHub 아이콘.svgGithub
버킷(또는 기반)의 서버를 사용중이면 ProtocolLib이 필수로 필요하다.
이 플러그인은 서버가 지원하지 않는 버전을 사용하는 플레이어가 멀티플레이 목록에서 서버가 로딩될때 버전이 안맞는다는 문구를 바꿔준다. 이건 다중 버전 서버의 필수 플러그인인게 다중 버전 플러그인을 넣기만 해서는 이 문구가 접속 가능한 모든 버전으로 안바뀐다. 그래서 이 플러그인을 넣어서 config.yml 에서 문구를 바꾸어 주어야한다.

번지코드에서도 사용 가능하긴 한데 Waterfall(또는 기반)을 사용중이면 필요 없다. Waterfall 을 사용중이면 Waterfall 자체 기능으로 있기 때문이다.

3.13. 디스코드 채팅 연동 플러그인

3.13.1. DiscordSRV

<colbgcolor=#3f83c4> DiscordSRV
다운로드 페이지 Spigot
버전 1.7~1.20
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
이 플러그인은 서버 채팅창과 디스코드 채팅창을 연동시켜주는 플러그인이다. 말 그대로다, 콘피그 설정을 완료하고 나서 서버 내의 채팅창에서 메세지를 입력할 경우 자신이 설정한 디스코드 채널에 메세지가 띄워지고, 자신이 설정한 디스코드 채널에서 메세지를 입력할 경우 서버 내의 채팅창에 띄워지게 된다.

콘솔 로그도 채널을 설정했다면 띄어지고, 디스코드 채널에서 콘솔로 명령어를 입력시키는게 가능하다.[주의]

콘피그 설정 방법은 스피곳 페이지에 있다.

/reload 명령어를 사용하거나 /discordsrv reload 가 아닌 이 플러그인을 강제로 리로드 할경우[100] discordsrv가 먹통이 되니 하지 말아야 한다.

근데 이 플러그인에는 심각한 문제점이 있다. 램을 엄청 먹는다. 이 플러그인을 사용하려면 서버에 최소 램이 3GB는 있어야 돌아간다. 2GB 로도 돌아갈 수는 있긴하지만 서버에 심각한 무리가 갈것이다. 1GB면... 설명 안해도 되죠? 일단 이것보다 더 가벼운 EssentialsXDiscord 라는 플러그인도 있다. 후술되어 있다.

3.13.2. EssentialsXDiscord

최근 현재 에센셜에서 EssentialsXDiscord 라는것을 출시하였다. 상술한 램을 엄청 먹는 DiscordSRV와 달리 기능이 별로 없어 가볍다. EssentialsX 의 .zip 파일을 설치하면 같이 들어 있다.

3.14. 기타 플러그인

3.14.1. Essentials/EssentialsX

<colbgcolor=#3f83c4> Essentials/EssentialsX
다운로드 페이지 Essentials(Beta_1.7.3~1.7.10), EssentialsX(1.8+)
버전 Beta 1.7.3~1.7.10, 1.8~1.19
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub

각종 도움이 되는 기능을 제공한다. gamemodegm으로 축약하는 사소한 것부터, 닉네임을 일부만 쳐도[101] 대상을 인식하는 것까지 있다. 에센셜은 명령어가 워낙 방대해서, 마인크래프트 기본 명령어와 이름이 겹쳐서 덮어쓰기된 것이 많다. [102] 서버 데이터가 위치한 나라의 컴퓨터 운영체제에서 로컬 파일을 인식하여 그 나라에 맞게 언어 파일을 불러와 해석해 준다.

근데 명령어를 마음대로 바꿔버린다든지 여러가지 이상한 쓸데없는 기능 때문에 서버장과 어드민들이 고생하는 경우도 있다. 대표적인 예가 /give로, NBT 태그를 못쓰게 만들어버리는 오류를 자랑한다.[해결_방법] 아이템을 지급할 수가 없는 것. Spigot에서 배포하는 버전은 예외로 NBT 태그가 작동하지만 @p 등의 대상 선택 변수는 인식을 못한다. 즉, 특정 조건을 가진 플레이어에게 아이템을 주는 것이 불가능한 것. 이 때문에 대체 플러그인을 사용하기도 한다.

"EssentialsXantibuild"는 삭제하는것이 권장된다. 삭제 안할시에 유저들이 블럭을 캐거나 부수는 것이 불가능하다면 essentials.build.* 권한을 부여하면 건축이 가능하다.[104] 권한 부여하는법을 모르거나 사용하지 않으면 그냥 삭제하는게 좋다. 서버 성능만 더 먹는다.

3.14.2. Dynmap

<colbgcolor=#3f83c4> Dynmap
다운로드 페이지 Spigot, Devbukkit
버전 Beta 1.6~1.10.1, 1.10.2~1.20.1
관련 플러그인 Chunky
관련 링크 Minecraft Dynmap Time Machine
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
버킷 링크
포럼 링크
Dynmap은 모드로 사용하는 것이 안정적이니 모드로 사용하는 것을 권장한다.
맵 전체를 웹브라우저로 볼 수 있다. 단, 이 플러그인이 실행된 이후에 맵의 해당 위치를 어떤 플레이어든 한 번은 다녀와야 맵이 밝혀진다.[105][106]] 맵 타입을 변경하면 지하도 X-ray투시 모드로 볼 수 있다. 투시 모드는 지상만 밝혀져 있으면 플레이어가 지하를 다녀오지 않았어도 볼 수 있다. 플레이어의 현재 위치도 표시해주므로 이걸 쓰면 길 잃을 걱정도 없고 필요한 자원이 있는 곳을 굳이 찾아헤매지 않고 재깍 다녀올 수 있다. 특히 지하 던전 찾는데 매우 유용. 모드에서 추가되는 블럭도 지원하고 시계도 있다. 다만 멀티플레이 전용이라 싱글플레이 하는 사람은 쓸 수 없다. 하위호환 격으로 기본적으로는 미니맵 모드인 Journeymap에서 이 기능을 제한적으로 지원한다.
참고로 dynmap을 configuration.txt 에서 고해상도 모드[107]로 놓고 전체 렌더를 돌리면 렌더링된 데이터만 수 기가바이트에 달한다. 만약 제대로 맵을 만들어서 하면 몇백 기가바이트를 달성할 수 있고, 소형 서버여도 많이 돌아다니면 몇십은 나온다.
현재는 모드로도 존재하지만 초기버전은 CraftBukkit에서만 구동되는 서버전용 모드였다.
해당 서버의 도메인을 웹 주소창에 입력했을때[108] 이 맵이 뜨게 하려면 configuration.txt 에서 webserver-port: 80 으로 설정하면 해당 서버의 도메인을 웹 주소창에 입력했을때 맵이 뜨게 된다.[109][SRV_레코드_사용자_주의]

Minecraft Dynmap Time Machine 이라는 것으로 맵 전체를 png 파일 형식으로 저장도 가능하다. Python 을 이용한거라 Python을 설치해야 하며 자세한 정보는 해당 사이트에 나와있다.
참고로 CMD(명령 프롬포트) 를 이용해서
$ pip install dynmap_timemachine
를 입력하기 전에 우선 CMD의 경로를 파이션의 Script 경로로 설정 해줘야 한다.
\>cd \\(설치파일경로)\\python\\python39\\Scripts
자세한 것은 검색창에 cmd의 cd 명령어에 대해 검색해서 찾아보도록 하자.

Chunky라는 플러그인으로 일정 좌표 이내의 청크를 전부 생성하고 /dynmap radiusrander [현재_서_있는_위치부터의_청크를_생성할_동서남북_좌표값] 을 입력해서 맵을 완성 시키는 방법도 있다.

3.14.3. Chunky

<colbgcolor=#3f83c4> Chunky
다운로드 페이지 Spigot Modrinth
버전 1.13~1.20
관련 플러그인
공식 링크 파일:디스코드 아이콘.svgDiscord, 파일:GitHub 아이콘.svgGithub
이 플러그인은 일정 좌표 내의 모든 청크를 생성할 수 있다.
뭐 용도는 청크를 생성할때 걸리는 렉이 없어지니 서버렉을 개선하는 용도로도 쓰이고, Dynmap의 맵을 전부 채우기 위해서도 쓰인다.

사용법은 간단하다, /chunky world [월드이름] 으로 일단 월드를 설정한 후 /chunky radius [동서남북으로_청크를_생성시킬_좌표값] 을 입력한 후 /chunky start 로 생성하면 된다.

이 플러그인은 NeoForge/Forge/Fabric 모드로 포팅되어있다.

3.14.4. Holographic Displays

<colbgcolor=#3f83c4> Holographic Displays
다운로드 페이지 DevBukkit
버전 1.6.4~1.8.3, 1.8.4~1.19.2
관련 플러그인 ProtocolLib
공식 링크 파일:GitHub 아이콘.svgGithub
이 플러그인을 사용하려면 우선 ProtocolLib 플러그인이 필수로 필요하다.
이 플러그인은 공중에 텍스트, 아이템을 띄울 수 있다.
/hd create [텍스트] 로 공중에 글자를 띄울 수 있다. 자세한 명령어는 해당 사이트에 나와있다.

참고로 Spigot 페이지에 있는 Holograms 라는 플러그인과 햇갈리면 안된다. 그 플러그인은 완전히 다른 플러그인이며 홀로그램이 계속 날라가니 절대 쓰지 않는게 좋다.

3.14.5. GeyserMC

<colbgcolor=#3f83c4> GeyserMC
다운로드 페이지 Spigot, Floodgate
버전 1.8~1.11.2[111], 1.12~1.19.4, 1.20
관련 플러그인 Viaversion, Floodgate
공식 링크 파일:디스코드 아이콘.svgDiscord 파일:GitHub 아이콘.svgGithub
이 플러그인을 사용하려면 Java 16 이상이어야한다.
이 플러그인을 자바 에디션 서버에 베드락 에디션 플레이어가 접속할 수 있게 해준다. 업데이트가 빠른편이며 최신 자바에디션과 최신 베드락 에디션 버전을 지원한다.
최신 버전의 서버가 아닐경우 1.12[112] 이상의 서버라면 Viaversion 플러그인을 설치해서 이 플러그인을 사용할 수 있다.[113]

램 사용량이 좀 있는 편이다. 권장 최소 램은 2GB 이다.

현재 베드락 에디션에서 작동 안되는 것이 좀 있는데 그것은 github 페이지에서 확인할 수 있다.

베드락 에디션이 업데이트 할때마다 이 플러그인도 업데이트 해줘야 한다.

정품 서버에서 베드락 에디션 플레이어가 베드락 에디션의 마이크로소프트 계정으로 로그인 할 수 있게 하려면 Floodgate 를 사용하면 된다.

안티치트의 호환성에 문제가 좀 있다. 아무래도 베드락 에디션이 자바에디션과 움직임이 다르다 보니 핵으로 오인하는 듯 하다. 지원되는 안티치트를 아래와 같다.
  • 유료 안티치트 : AntiAura, Spartan(Syn 추가 구매시).
  • 무료 안티치트 : Themis Anti Cheat, SoaromaSAC
Matrix, AAC, Spartan(Syn 추가 구매 안했을시), Nocheatplus 도 지원하긴 하지만, 베드락 에디션 플레이어에 대한 검사를 비활성화하는 방식이어서 베드락 에디션의 핵사용을 허용하는 것과 마찬가지이므로 추천하지 않는다.

그리고 현재 개발자가 PackConverter를 개발중이며, 자바 에디션 서버에 있는 서버 리소스팩을 베드락 에디션에서도 사용을 가능하게 변환해주는 시스템을 개발중에 있다.

3.14.6. Multiverse-Core

<colbgcolor=#3f83c4> Multiverse-Core
다운로드 페이지 BukkitSpigot
버전 1.8 ~ 1.19
한 서버에서 여러 맵을 만들 수 있는 플러그인이다.

명령어는 mv이며, 맵을 새로 생성할 때에는 /mv create, 이미 있는 맵을 불러올 때에는 /mv import 명령어를 사용한다. 그리고 새로 생성되거나 불러들인 맵에 이동하려면 /mv tp (플레이어 이름) (이동할 맵 이름)를 사용하면 된다.

4. 개발

파일:상세 내용 아이콘.svg   자세한 내용은 마인크래프트/플러그인/개발 문서
번 문단을
부분을
참고하십시오.

[1] 서버를 구동하는 방법은 마인크래프트/서버/자바 에디션 참고[2] 거의 대부분의 서버 구현 프로그램이 바닐라 서버를 기반으로 제작되었다.[3] Bungeecord, Waterfall, Velocity는 여러 개의 서버들을 하나의 서버로 묶는 기능을 하며, 독립적인 서버로 동작한다.Hub라고 보면 된다.[4] 다만, Spigot 또는 Paper 등은 CraftBukkit에서 파생되어 버킷 플러그인을 완벽히 호환한다.[5] Sponge 플러그인, Glowstone 플러그인 등이 그 예이다.[6] 일부 서버 구현물은 해당 API 기반 플러그인을 유료 판매하는 것을 금지하기도 한다.[7] 반면 모드의 경우 EULA에 유료화를 금지하는 내용이 있다.[8] 스피갓 사이트는 프리미엄 플러그인의 환불을 보증해주지 않으니까 주의하자. 하지만 일부 개발자의 이용약관에서 정해진 기간 내에 유저가 환불을 요청할 경우 환불해주는 곳도 가끔씩 보인다.[9] 하지만 크래킹이 어렵다는 것은 과장이고 플러그인에서 쓰는 Java는 디컴파일을 통해 언제든지 소스코드를 볼수 있어서 불법복제 방지 코드를 삭제하면 되기 때문이다. 그렇기 때문에 난독화나 디컴파일 방지툴을 통해서 디컴파일을 방지해야 한다. 물론 완전히 막을 수는 없다.[10] 대부분의 유료 플러그인들은 이용약관이 해당 플러그인 페이지에 적혀있다.[11] 마지막으로 업데이트 된 버전의 지원되는 버전이다.[12] 웹 편집기에서는 서버별, 월드별, 기간제로 설정이 가능하다.[13] 1.20.6기준 안정적으로 이용하려면 이 링크에서 다운받아야 한다. 어떤 이유에서인지 spigot 사이트에는 올라와있지 않다[예시(AAC)] [AAC] Player failed Speed; moved unexpectly: (상세 사항)[15] 예를 들면 수영등이다, 그리고 일부 상위버전의 달라진 움직임과 기능들을 핵이라 오인한다, 뭐 공정한 수영을 원하면 devbukkit 에 있는 마지막 버전을 설치하고 이 플러그인의 config.yml 을 사용해 잘 조절해서 할수도 있긴 하지만 비추천한다.[16] Floodgate 도 설치해야한다. 또한 대부분의 안티치트가 GeyserMC를 호환되게 하는 방법인 GeyserMC 플레이어의 모든 체크를 비활성화 하는 방식을 사용 중이라 베드락 에디션 플레이어의 핵도 막길 원한다면 GeyserMC 유저도 감지하는 안티치트를 쓰는 것을 권장한다.[17] Syn 구매자는 예외이다. 아마 Syn 구매자가 이 플러그인을 복제하면 티가나서 바로 라이선스를 종료 시켜 버릴 수 있기 때문인듯 하다.[18] 과거에는 AAC랑 동일한 디스코드 서버이며, 마찬가지로 그곳에서 지원 받을 수 있지만, 현재는 독립적으로 운영하고 있다.[19] WorldDownloader, 포지, Vape, PixelClient 등.[20] 1.17부터 NMS 가 많이 바뀌어 동시 지원하기 어렵고 어차피 버전 하나 차이인데 그냥 1.16.x는 v0.8.2 버전 까지만 지원하고 그 이후로는 지원을 더는 안 하기로 했다고 한다. 개발자 말에 따르면 아마 1.17 이후로는 다중 버전을 지원할 생각이 있긴 한 것 같다.[21] 이 플러그인 개발자가 처음으로 만들었던 안티치트 플러그인이다. 근데 버그가 너무 많고 개발이 중단되었으니 Wither Anti Cheat는 쓰지 않는게 좋다.[22] 다만 버전간의 동작에 대한 패치가 없으면 호환된다. 예를 들면 1.14~1.17 는 동작에 대한 패치가 없었으니 Viaversion & Viabackwards로 1.17 서버에서 Viaversion 플러그인 config.yml 에서 1.13.2 이하 버전의 접속을 차단하면 되긴 한다.[23] 다만 이건 아직 모르는게 아직 체크가 다 만들어 지지 않았어서 체크가 더 늘어난다면 모르는 일이다.[24] 현재 실험적 지원이다.[25] mc.mineberry.org와 Mineblaze.ru[26] 하지만 엄청나게 비싸면서 비효율로 유명한 위에서 설명한 "Verus"보다는 훨신 싸며(최소 60, 최대 200달러) 효율도 더 좋다.[27] Intave를 우회하는 것이 목적인 핵도 많다 Gothaj(크랙된 핵이다 사지 말자), Augustus Client(매우 비싸지만 대부분 안티치트를 우회한다.)[28] 최근에 LockettePro로 새로 업데이트 되었다.[29] OwnBlocks 이라는 설치 블럭을 부수지 못하게 하는 플러그인이 있지만 워낙 오래됐고 이를 이용해서 타인의 집을 블럭으로 덮어버리는 역테러를 하는 경우가 발생해서 상위버전에서는 잘 쓰지 않는다.[30] Anticreeper 는 기존적으로 권한 설정이 안되어 있다!!! 그래서 /acbl, /acb, /ace, /anticreeper:acbl, /anticreeper:acb, /anticreeper:ace 이 6개의 명령어를 직접 막아줘야 한다.[31] 1.13+ 버전에서도 작동하긴 한다. 그러나 1.13 이후의 출시된 블럭들이 보호가 안된다[32] /coreprotect purge (시간) 으로 최대 30일 전의 기록을 지울 수 있다.[33] 0.01을 추가해야 정상적으로 작동한다.[34] 만약 전체를 롤백하려면 r:#global로 해당 월드에 있는 변경기록 전체를 롤백 가능하다.[35] 열람 시 로그인 필요.[36] 우클릭, 블록 설치/파괴, 떨어진 아이템 줍기, 아이템 제작, 소지 등[37] 사유를 꼭 설정해야한다. 안하면 사유를 설정하라고 뜬다.[38] 플러그인 설정을 통해 ON/OFF 가능하다.[39] tnt등의 폭발 방지[40] 펄미션 설정만 하면 월드 별 건축 권한과 일부 아이템을 제한할때 사용할 수 있는 모듈[41] 한 청크에 너무 많은 표지판이 있는데 그 표지판들을 플레이어가 로딩시킬 경우 서버가 해당 플레이어를 영원히 서버에 못 들어 오게 하는 취약점(?) 이 있는데 이것을 청크밴 이라고 한다.[42] 원리가 무엇이냐면 너무 빠르게 이동하면 서버가 청크를 로딩시켜야 한다. 문제는 서버에서 로딩하는 청크가 너무 빠르게 이동한다면 못 따라가 과부하가 걸려 서버가 터지는 원리다.[43] 다중 버전 플러그인(Viaversion, protocolsupport 등)을 사용하지 않는 1.12.2의 서버라면 true 로 설정해 주어야 한다. 그 외에 경우에는 false로 설정해줘야지 안그러면 버그가 난다.[44] 여기서 서술할 일부 제한할 기능은 겉날개의 폭죽, 얼음+다락문 점프 이동, 얼음+보트, 신속1+영혼가속 을 제한한 것을 서술한다.[45] 근데 이러면 속도와 관련된 핵클라이언트를 사용한 플레이어만 막는것이다.[46] 1.16 부턴 네더 월드까지 지원됨.[47] 1이 기본 설정이다. 2로 설정해야 orebfuscator와 같은 기능을 한다.[48] engine-mode: 1 은 광석의 모든 면이 블럭으로 덮혀있을경우 돌 블럭으로 보이게 하는 방식이다.[49] 상술했듯이 닉네임 사칭 문제로 비정품 서버들은 대부분 후술할 로그인 플러그인을 사용하는데 부계정 방지를 위해 한 아이피당 한 닉네임 밖에 생성 못하기도 한다. 그런데 비정품 서버에서는 UUID 기능이 작동하지 않아 닉네임을 바꾸면 바꿨는지를 서버 측에서 인식하지 못해 로그인 플러그인에서 새로운 아이디의 유저로 인식하여 로그인을 막아버리기에 정품 유저가 닉네임을 바꾸면 플레이할 수 없는 현상이 발생한다.[50] EULA 내용을 보면 "서버에는 정품 유저가 들어올 수 있어야 합니다"라는 내용이 있다. 그런데 비정품 서버에서도 정품 유저가 들어올 수 있으니 EULA 위반이 아니라고 할 수도 있지만 EULA 위반이라고 생각하는 커뮤니티도 있다.[51] 추가로 protocolsupport 라는 플러그인을 사용한 1.8 이상의 정품 서버에서도 1.7.5 이하로 들어가려 시도하면 "bad login" 메시지가 나오며 못 들어간다.[52] 최근에 다시 3년만에 업데이트가 진행되고 있다.[53] 없으면 상술했듯이 서버가 하루만에 망하게 될거다.[pipefilter_사용자_주의] 도메인 서비스 제공업체 mcv.kr의 pipefilter 를 사용해 아이피를 보호하고 있으면 이 ipRecords 를 사용하면 안된다. pipefilter 는 서버에 접속하는 유저들의 아이피를 같게 만들기 하기 때문에 큰일난다.[55] 보통의 경우는 제한을 설정하고 닉네임을 바꾼 플레이어가 관리자에게 문의해서 이 문제를 해결하는 서버가 많다[56] protocolsupport, viabackwards 등[57] Skinsrestorer도 업데이트 내역을 보면 10.4.4 버전 까지는 지원 되었다고 한다. 실제로 작동이 되었다는 사례를 보면 당시에는 작동이 되었었던걸로 보인다. 허나 2021년 기준 작동이 안된다.(Paperspigot 1.7.10 마지막 버전에서 테스트.) 아마 API 중단 때문으로 보인다.[A] 2022년 12월 4일기준[A] 2022년 12월 4일 기준[60] 보통 국내에서는 벙어리라고도 불리며, 서버 내의 채팅 기능을 일시적/영구적으로 이용할 수 없도록 하는 처벌 종류 중에 하나. 채팅 메시지를 보내려고 하면 채팅 메시지가 전송되지 않고 뮤트되었다는 표시가 뜬다. 다만 다른 유저의 채팅이나 서버 메시지를 볼 수 있다.[61] 해당 플레이어가 서버에 접속하면 '새로운 경고가 있습니다.'라는 메시지와 함께 플레이어에게 알림이 온다.[62] 스펠명, 스펠 종류, 그에 따른 옵션, 연결되는 스펠을 적는게 전부이다.[63] 전용 개발 사이트가 존재한다.[64] 설명 페이지에서는 1.16.5까지 지원한다고 쓰여 있지만 실제로는 1.19.2에서도 작동한다.[65] 제작이 크랙샷보다 쉬운대신 한계가 명확하다[66] 리소스팩도 본 플러그인의 리소스팩을 사용한다.[67] 미씩몹이라고 발음한다.[68] 깃허브를 보면 1.8~1.19 까지 모두 업데이트를 하는 중인데 스피곳 파일 크기 문제 때문에 5mb 이내로만 컴파일 되는것으로 보인다. 아마 컴파일을 하면 작동은 할것으로 예상된다.[69] 국내 한정이다.[70] 국내 인지도가 낮은건 양산형 복돌 1.5.2 서버가 넘치자 서버장들이 차별화를 두기 위해 비교적 쉬운 VT를 이용하기 시작한 것 때문이다. 때문에 국내에서는 Skript를 말하면 잘 알지 못한다.[71] Spigot 포럼에는 해당 스크립트만 있는 플러그인 탭이 따로 존재하며 따로 전용 커뮤니티도 있다. 이를 이용해서 비교적 쉽게 접근할 수 있다.[72] 사실 이건 개발자가 플러그인도 개발 못할 능력으로 게임 서버를 개발해서 그런 거라고 카더라[73] 위 항목의 스크립트는 말하면 아는 사람이라도 있지만 커맨드헬퍼는...[74] 현재는 상위버전(1.11.2) 전용 버전이 재개발되어 배포되는 중[75] 어떤 플러그인이라도 서버에서 작동하고 있다면 연동이 가능함을 뜻한다.[76] 개발자를 포함한 전문답변자 4명(RedLime, Pro_Snape, LeagueLegas, wysohn)이 상시 대기중으로 24시간 내에 답변을 받아볼 수 있으며 대부분의 질문들은 2시간 이내에 처리되는 편이다.[77] 기존 그누보드5의 홈페이지를 폐기하고 새롭게 Rhymix기반 템플릿인 Slow 기반의 커뮤니티형 사이트를 구축중이다. 공지사항에 따르면 관리자 Dr_Romantic 측이 사이트의 모든 부분을 관리/개발하고 있는 듯 하며 개인 사정으로 인해 정식 운영 일자는 아직 미지수[78] 지금은 고쳐진 버그지만, 혹시 이런 버그가 나는 경우 config.yml에서 serverside-blockconnection를 true로 설정해 주면 해결된다.[79] 일부 경우에는 다행히 TPS가 일시적으로 바닥을 치는 것으로 끝날 수도 있지만 다른 경우에는 아예 서버 파일이 손상될 수도 있다고 한다.[80] 1.12.x 서버에서 1.13에서 추가된 수영을 하는 것 등.[안티치트_문제] 그렇기 때문에 nocheatplus, Matrix 등 안티치트는 그런 동작들을 핵이라 오인해 캔슬하거나 추방한다. 만약 이 플러그인을 쓰고 싶은데, 안티치트도 쓰고 싶다면 Spartan, AAC, Vulcan 등 안티치트 플러그인을 쓰는 것을 추천한다, 무료 안티치트 플러그인 중에는 Negativity가 있다.[82] Viabackwards 4.3.1 버전까지만 지원, 클라이언트 1.19.0 도 4.3.1 이후 버전에서 지원 중단됐다.[83] 별로 상관없이 보이지만 Viapotions를 사용하려면 필요하다.[84] ViaPotions의 경우 1.9 이상의 서버일 경우에만 넣어야 한다.[85] 예를 들면, ProtocolSupport에서는 갑옷 거치대가 하위버전에서는 그냥 보이지 않지만 ViaRewind는 가만히 있는 좀비로 대체된다.[86] 조작이 안 되는 것뿐이니 밀면서 탈 수는 있다.[87] 이는 ViaBackwards 측에서는 못 고친다. ProtocolSupport 와는 달리 ViaBackwards는 최대한 가볍게, 간결하게 작동하도록 하는 방식을 중점으로 개발하는데 이러한 방식을 사용함으로 인해 이 버그를 못 고친다고 한다. 방법이 있는데 스코어 보드 플러그인 측에서 ViaBackwards를 지원하면 32자까지는 해결된다고 한다. Featherboard라는 유료 스코어보드 플러그인이 지원한다. 무료 스코어보드 플러그인 중 지원하는 플러그인은 SternalBoard, AnimatedScoreboard 등이 있다.[88] 1.17에서는 월드 높이를 데이타 팩을 활용해서 높일 수 있다.[89] 일정 y 좌표를 벗어날 시 월드 생성을 다시 하는 방식.[90] 구버전 설치 사이트를 들어가면 무슨 체크하는게 나오는데 모두 맨 아래걸로 답하면 된다. 대충 구버전에 대해 지원을 받을 수 없다는 것에 대해 동의한다는 내용이다.[91] Java 16 이상에서 작동 안 됨. 상술한 ViaVersion + Viabackwards + Viarewind 로 대체하는 방법도 있다.[92] 다른 블록으로 대체되거나 사라진다.[93] 1.5.1 이하는 아무도 안쓰니 별로 치명적이지 않다고도 할 수 있긴 하다[ProtocolSupportLegacyChest] Protocolsupportlegacychest 라는 플러그인을 넣어주면 상자 설치 방식이 1.12.2 때의 방식으로 바뀌며, 상자가 엔더상자로 변하거나 안보이는 버그가 일어나지 않는다.[95] 개발자도 차라리 Viabackwards의 방법이 더 낫다고 판단했는지 3년만에 수정했다.[96] 최신 서버만 지원한다는 이유가 오래된 서버는 버그가 많고 지원이 중단됐는데 오래된 서버를 지원할 이유가 뭐가 있냐고 하는데 그렇게 따지면 이 플러그인은 지원이 중단된 오래된 클라이언트 버전을 왜 지원하는... (...)[97] viarewindlegacysupport, viapotion은 spigot기반 버킷에서만 작동한다.[98] 1.12.2 서버에서는 v1.0.2 버전을 설치해야 한다.[주의] 그 채널을 볼 수 있는 권한이 있는 사람들 모두가 로그를 볼수 있고, 메세지를 전송할 수 있는 권한까지 있다면 콘솔로 명령어를 입력시키는게 가능하니 그 채널은 관리자들만 볼 수 있도록 채널 설정을 해야한다.[100] plugman, plugin manager 등으로 discordsrv를 강제로 리로드 하는 경우를 말하는 것이다. 리로드에 문제가 없는 다른 플러그인을 강제로 리로드 하는건 괜찮다.[101] 닉네임을 변경한 후 변경하기 전의 닉네임의 일부를 입력해도 인식한다.[102] 명령어 앞에 minecraft: 를 붙이면 같은 명령어의 경우 마인크래프트 기본 명령어를 실행한다. /minecraft:give 는 에센셜 명령어가 아니다.[해결_방법] 단 이때 /minecraft:give, /execute run 로 할시 정상작동한다.[104] 본 권한을 윌드별로 설정하면 월드가드를 대체할 수도 있다.[105] 콘솔 커맨드를 입력하면 현재 생성된 맵 전체를 렌더링할 수 있지만 아주 오래 걸린다. 그리고 그동안 서버가 많이 버벅일 수 있다.[106] 이 커맨드로 렌더되는 기준은 온라인 유저뿐만 아니라 오프라인 유저를 포함, 그 동안 서버에 읽혀진 맵을 전부 렌더한다. 서버가 많이 버벅일 수 있는 건 맞지만, 소규모 서버라면 맵 크기가 크지 않으므로 한적한 틈에 돌려볼만 하다.[107] 최신버전 기준 deftemplatesuffix: hi_boost_xhi로 설정햇을때[108] 예를들면 example.mcv.kr 를 웹 주소창에 입력했을때[109] 포트 80이 http:// 기본 포트라 그렇다.[SRV_레코드_사용자_주의] SRV 레코드는 포트를 도메인 하나에 하나만 설정 가능하므로 이미 마인크래프트로 접속하는 주소 25565가 사용되었으니 SRV 레코드를 사용하면 똑같은 주소로 하는건 안된다.[111] Geyser-Spigot.jar 만 사용하는 서버일 경우 빌드 #699까지만 작동되는 버전들이다, 베드락 에디션 v1.16.100 - v1.16.220 버전이 지원되는 버전이다. 정상적인 루트로는 베드락 에디션을 다운 그레이드 할 수는 없으니 Geyser-Spigot.jar 만으로는 그냥 이 버전들에서는 사용할 수 없다고 봐야한다. 지원 방법이 있긴 한데 Standalone 버전("Geyser.jar"라고 되어있는거) 으로 외부적으로 지원하거나 Bungeecord 혹은 velocity 를 사용해야한다.(즉, 번지코드 사용하는 서버는 이 지원 종료랑은 사실상 상관 없는 얘기다.) 지원 종료가 된 이유는 1.17부터 java 16 이상이 요구돼서 라고 한다.[112] 1.8~1.11.2 서버의 경우 상술한 방법 참고.[113] 하지만 그런 최신 버전이 아닌 서버는 버그 수정 등을 지원하지 않는다. 그래서 현재 안고쳐질 버그가 여러개 있는데, 1.8 서버에서 베드락 에디션 플레이어가 보트, 말, 카트를 탈 수 없는버그, 1.8~1.11.2 서버에서 베드락 에디션 플레이어가 조합을 할 수 없는 버그 등이 있다.